# AuthAPIApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**authLoginPost**](AuthAPIApi.md#authLoginPost) | **POST** /auth/login | Получить ключ доступа
[**authStartGet**](AuthAPIApi.md#authStartGet) | **GET** /auth/start | Получить соль


<a name="authLoginPost"></a>
# **authLoginPost**
> String authLoginPost(login, salt, response)

Получить ключ доступа

Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API  (параметр &#39;token&#39;). Для вычисления значения параметра &#39;response&#39; необходимо получить представленную в hex MD5-сумму от  объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:  hex(md5(password&amp;nbsp;+&amp;nbsp;salt&amp;nbsp;+&amp;nbsp;&#39;\\n&#39;))

### Example
```java
// Import classes:
//import io.swagger.client.api.AuthAPIApi;

AuthAPIApi apiInstance = new AuthAPIApi();
String login = "login_example"; // String | Имя пользователя
String salt = "salt_example"; // String | Соль (см. /auth/start)
String response = "response_example"; // String | Вычисленный хэш
try {
    String result = apiInstance.authLoginPost(login, salt, response);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling AuthAPIApi#authLoginPost");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **login** | **String**| Имя пользователя |
 **salt** | **String**| Соль (см. /auth/start) |
 **response** | **String**| Вычисленный хэш |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="authStartGet"></a>
# **authStartGet**
> String authStartGet(login)

Получить соль

Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется  во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров.

### Example
```java
// Import classes:
//import io.swagger.client.api.AuthAPIApi;

AuthAPIApi apiInstance = new AuthAPIApi();
String login = "login_example"; // String | Имя пользователя
try {
    String result = apiInstance.authStartGet(login);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling AuthAPIApi#authStartGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **login** | **String**| Имя пользователя |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

