# DefaultApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**balanceGet**](DefaultApi.md#balanceGet) | **GET** /balance | Аккаунт: баланс
[**balanceLicGet**](DefaultApi.md#balanceLicGet) | **GET** /balance.lic | Аккаунт: баланс аккаунта лицензий
[**billingDebtGet**](DefaultApi.md#billingDebtGet) | **GET** /billing/debt | Информация по дебету аккаунта
[**billingInfoGet**](DefaultApi.md#billingInfoGet) | **GET** /billing/info | Информация об аккаунте
[**billingLimitsGet**](DefaultApi.md#billingLimitsGet) | **GET** /billing/limits | Получить ограничения аккаунта
[**dnsProlongListGet**](DefaultApi.md#dnsProlongListGet) | **GET** /dns/prolong/list | Информация по продлению доменов
[**emailAddGet**](DefaultApi.md#emailAddGet) | **GET** /email/add | Создание почтового ящика
[**emailAliasDeleteGet**](DefaultApi.md#emailAliasDeleteGet) | **GET** /email/alias/delete | Удаление псевдонимов почтовых ящиков
[**emailAliasListGet**](DefaultApi.md#emailAliasListGet) | **GET** /email/alias/list | Получить список псевдонимов почтовых ящиков
[**emailDeleteGet**](DefaultApi.md#emailDeleteGet) | **GET** /email/delete | Удаление почтового ящика
[**emailListGet**](DefaultApi.md#emailListGet) | **GET** /email/list | Получить список почтовых ящиков
[**updatesLastGet**](DefaultApi.md#updatesLastGet) | **GET** /updates/last | Идентификатор последнего уведомления в аудите
[**updatesListGet**](DefaultApi.md#updatesListGet) | **GET** /updates/list | Список записей аудита
[**websiteDeleteGet**](DefaultApi.md#websiteDeleteGet) | **GET** /website/delete | Удаление сайта
[**websiteListGet**](DefaultApi.md#websiteListGet) | **GET** /website/list | Список сайтов аккаунта


<a name="balanceGet"></a>
# **balanceGet**
> BigDecimal balanceGet(token_)

Аккаунт: баланс

Возвращает текущий баланс аккаунта

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    BigDecimal result = apiInstance.balanceGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#balanceGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**BigDecimal**](BigDecimal.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="balanceLicGet"></a>
# **balanceLicGet**
> BigDecimal balanceLicGet(token_)

Аккаунт: баланс аккаунта лицензий

Возвращает текущий баланс аккаунта лицензий

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    BigDecimal result = apiInstance.balanceLicGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#balanceLicGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**BigDecimal**](BigDecimal.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="billingDebtGet"></a>
# **billingDebtGet**
> List&lt;InlineResponse200&gt; billingDebtGet(token_)

Информация по дебету аккаунта

Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    List<InlineResponse200> result = apiInstance.billingDebtGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#billingDebtGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**List&lt;InlineResponse200&gt;**](InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="billingInfoGet"></a>
# **billingInfoGet**
> List&lt;InlineResponse2001&gt; billingInfoGet(token_)

Информация об аккаунте

Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    List<InlineResponse2001> result = apiInstance.billingInfoGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#billingInfoGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**List&lt;InlineResponse2001&gt;**](InlineResponse2001.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="billingLimitsGet"></a>
# **billingLimitsGet**
> _ billingLimitsGet(token_)

Получить ограничения аккаунта

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    _ result = apiInstance.billingLimitsGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#billingLimitsGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**_**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsProlongListGet"></a>
# **dnsProlongListGet**
> List&lt;InlineResponse2004&gt; dnsProlongListGet(token_)

Информация по продлению доменов

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    List<InlineResponse2004> result = apiInstance.dnsProlongListGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#dnsProlongListGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**List&lt;InlineResponse2004&gt;**](InlineResponse2004.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="emailAddGet"></a>
# **emailAddGet**
> String emailAddGet(token_, addEmail)

Создание почтового ящика

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
String addEmail = "addEmail_example"; // String | Адрес почтового ящика, который необходимо создать
try {
    String result = apiInstance.emailAddGet(token_, addEmail);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#emailAddGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **addEmail** | **String**| Адрес почтового ящика, который необходимо создать |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="emailAliasDeleteGet"></a>
# **emailAliasDeleteGet**
> String emailAliasDeleteGet(token_, key_)

Удаление псевдонимов почтовых ящиков

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
String key_ = "key__example"; // String | Адрес почтового ящика, подлежащего удалению
try {
    String result = apiInstance.emailAliasDeleteGet(token_, key_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#emailAliasDeleteGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **String**| Адрес почтового ящика, подлежащего удалению |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="emailAliasListGet"></a>
# **emailAliasListGet**
> List&lt;InlineResponse2005&gt; emailAliasListGet(token_)

Получить список псевдонимов почтовых ящиков

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    List<InlineResponse2005> result = apiInstance.emailAliasListGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#emailAliasListGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**List&lt;InlineResponse2005&gt;**](InlineResponse2005.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="emailDeleteGet"></a>
# **emailDeleteGet**
> String emailDeleteGet(token_, key_)

Удаление почтового ящика

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
String key_ = "key__example"; // String | Адрес почтового ящика, подлежащего удалению
try {
    String result = apiInstance.emailDeleteGet(token_, key_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#emailDeleteGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **String**| Адрес почтового ящика, подлежащего удалению |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="emailListGet"></a>
# **emailListGet**
> List&lt;InlineResponse2006&gt; emailListGet(token_)

Получить список почтовых ящиков

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    List<InlineResponse2006> result = apiInstance.emailListGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#emailListGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**List&lt;InlineResponse2006&gt;**](InlineResponse2006.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updatesLastGet"></a>
# **updatesLastGet**
> Integer updatesLastGet(token_)

Идентификатор последнего уведомления в аудите

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    Integer result = apiInstance.updatesLastGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#updatesLastGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

**Integer**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updatesListGet"></a>
# **updatesListGet**
> List&lt;InlineResponse20010&gt; updatesListGet(token_, key_)

Список записей аудита

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID первой записи для показа или 0 для показа всех записей
try {
    List<InlineResponse20010> result = apiInstance.updatesListGet(token_, key_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#updatesListGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID первой записи для показа или 0 для показа всех записей |

### Return type

[**List&lt;InlineResponse20010&gt;**](InlineResponse20010.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="websiteDeleteGet"></a>
# **websiteDeleteGet**
> String websiteDeleteGet(token_, key_)

Удаление сайта

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
String key_ = "key__example"; // String | ID сайта, полученный из /website/list
try {
    String result = apiInstance.websiteDeleteGet(token_, key_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#websiteDeleteGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **String**| ID сайта, полученный из /website/list |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="websiteListGet"></a>
# **websiteListGet**
> List&lt;InlineResponse20014&gt; websiteListGet(token_)

Список сайтов аккаунта

### Example
```java
// Import classes:
//import io.swagger.client.api.DefaultApi;

DefaultApi apiInstance = new DefaultApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    List<InlineResponse20014> result = apiInstance.websiteListGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DefaultApi#websiteListGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**List&lt;InlineResponse20014&gt;**](InlineResponse20014.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

