/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.client.api;

import io.swagger.client.ApiInvoker;
import io.swagger.client.ApiException;
import io.swagger.client.Pair;

import io.swagger.client.model.*;

import java.util.*;

import com.android.volley.Response;
import com.android.volley.VolleyError;

import io.swagger.client.model.InlineResponse2003;
import io.swagger.client.model.InlineResponse2004;

import org.apache.http.HttpEntity;
import org.apache.http.entity.mime.MultipartEntityBuilder;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.TimeoutException;

public class DNSApi {
  String basePath = "https://www.1gb.ru/api";
  ApiInvoker apiInvoker = ApiInvoker.getInstance();

  public void addHeader(String key, String value) {
    getInvoker().addDefaultHeader(key, value);
  }

  public ApiInvoker getInvoker() {
    return apiInvoker;
  }

  public void setBasePath(String basePath) {
    this.basePath = basePath;
  }

  public String getBasePath() {
    return basePath;
  }

  /**
  * Создание записи домена
  * 
   * @param token_ Ключ доступа, полученный при авторизации
   * @param addDnsZone зона, которую необходимо создать
   * @param addDnsRecord 
   * @param iisSiteForDns ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку
   * @param bindOnly 
   * @return String
  */
  public String dnsAddGet (String token_, String addDnsZone, String addDnsRecord, String iisSiteForDns, Boolean bindOnly) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsAddGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling dnsAddGet"));
      }
  
      // verify the required parameter 'addDnsZone' is set
      if (addDnsZone == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'addDnsZone' when calling dnsAddGet",
      new ApiException(400, "Missing the required parameter 'addDnsZone' when calling dnsAddGet"));
      }
  

  // create path and map variables
  String path = "/dns/add".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "add_dns_zone", addDnsZone));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "add_dns_record", addDnsRecord));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "iis_site_for_dns", iisSiteForDns));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "bind_only", bindOnly));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (String) ApiInvoker.deserialize(localVarResponse, "", String.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Создание записи домена
   * 
   * @param token_ Ключ доступа, полученный при авторизации   * @param addDnsZone зона, которую необходимо создать   * @param addDnsRecord    * @param iisSiteForDns ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку   * @param bindOnly 
  */
  public void dnsAddGet (String token_, String addDnsZone, String addDnsRecord, String iisSiteForDns, Boolean bindOnly, final Response.Listener<String> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsAddGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling dnsAddGet"));
    }
    
    // verify the required parameter 'addDnsZone' is set
    if (addDnsZone == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'addDnsZone' when calling dnsAddGet",
         new ApiException(400, "Missing the required parameter 'addDnsZone' when calling dnsAddGet"));
    }
    

    // create path and map variables
    String path = "/dns/add".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "add_dns_zone", addDnsZone));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "add_dns_record", addDnsRecord));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "iis_site_for_dns", iisSiteForDns));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "bind_only", bindOnly));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((String) ApiInvoker.deserialize(localVarResponse,  "", String.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Привязка одного домена к другому
  * 
   * @param token_ Ключ доступа, полученный при авторизации
   * @param key_ ID домена из списка /dns/list
   * @param bindTo домен, к которому необходимо сделать привязку
   * @return String
  */
  public String dnsBindGet (String token_, Integer key_, String bindTo) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsBindGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling dnsBindGet"));
      }
  
      // verify the required parameter 'key_' is set
      if (key_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling dnsBindGet",
      new ApiException(400, "Missing the required parameter 'key_' when calling dnsBindGet"));
      }
  

  // create path and map variables
  String path = "/dns/bind".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "bind_to", bindTo));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (String) ApiInvoker.deserialize(localVarResponse, "", String.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Привязка одного домена к другому
   * 
   * @param token_ Ключ доступа, полученный при авторизации   * @param key_ ID домена из списка /dns/list   * @param bindTo домен, к которому необходимо сделать привязку
  */
  public void dnsBindGet (String token_, Integer key_, String bindTo, final Response.Listener<String> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsBindGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling dnsBindGet"));
    }
    
    // verify the required parameter 'key_' is set
    if (key_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling dnsBindGet",
         new ApiException(400, "Missing the required parameter 'key_' when calling dnsBindGet"));
    }
    

    // create path and map variables
    String path = "/dns/bind".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "bind_to", bindTo));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((String) ApiInvoker.deserialize(localVarResponse,  "", String.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Получить список доменных имён
  * 
   * @param token_ Ключ доступа, полученный при авторизации
   * @return List<InlineResponse2003>
  */
  public List<InlineResponse2003> dnsListGet (String token_) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsListGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling dnsListGet"));
      }
  

  // create path and map variables
  String path = "/dns/list".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (List<InlineResponse2003>) ApiInvoker.deserialize(localVarResponse, "array", InlineResponse2003.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Получить список доменных имён
   * 
   * @param token_ Ключ доступа, полученный при авторизации
  */
  public void dnsListGet (String token_, final Response.Listener<List<InlineResponse2003>> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsListGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling dnsListGet"));
    }
    

    // create path and map variables
    String path = "/dns/list".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((List<InlineResponse2003>) ApiInvoker.deserialize(localVarResponse,  "array", InlineResponse2003.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Информация по продлению доменов
  * 
   * @param token_ Ключ доступа, полученный при авторизации
   * @return List<InlineResponse2004>
  */
  public List<InlineResponse2004> dnsProlongListGet (String token_) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsProlongListGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling dnsProlongListGet"));
      }
  

  // create path and map variables
  String path = "/dns/prolong/list".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (List<InlineResponse2004>) ApiInvoker.deserialize(localVarResponse, "array", InlineResponse2004.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Информация по продлению доменов
   * 
   * @param token_ Ключ доступа, полученный при авторизации
  */
  public void dnsProlongListGet (String token_, final Response.Listener<List<InlineResponse2004>> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsProlongListGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling dnsProlongListGet"));
    }
    

    // create path and map variables
    String path = "/dns/prolong/list".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((List<InlineResponse2004>) ApiInvoker.deserialize(localVarResponse,  "array", InlineResponse2004.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Редактирование \&quot;сырой\&quot; зоны
  * 
   * @param token_ Ключ доступа, полученный при авторизации
   * @param key_ ID домена из /dns/list
   * @param sDel Значение &#39;1&#39; сообщает, что запись необходимо удалить
   * @param sAdd Значение &#39;1&#39; сообщает, что запись необходимо создать
   * @param dnsType Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV
   * @param dnsName Имя записи, либо &#39;@&#39; для корневой
   * @param dnsValue Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение)
   * @return String
  */
  public String dnsRawGet (String token_, Integer key_, Integer sDel, Integer sAdd, String dnsType, String dnsName, String dnsValue) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsRawGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling dnsRawGet"));
      }
  
      // verify the required parameter 'key_' is set
      if (key_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling dnsRawGet",
      new ApiException(400, "Missing the required parameter 'key_' when calling dnsRawGet"));
      }
  
      // verify the required parameter 'sDel' is set
      if (sDel == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'sDel' when calling dnsRawGet",
      new ApiException(400, "Missing the required parameter 'sDel' when calling dnsRawGet"));
      }
  
      // verify the required parameter 'sAdd' is set
      if (sAdd == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'sAdd' when calling dnsRawGet",
      new ApiException(400, "Missing the required parameter 'sAdd' when calling dnsRawGet"));
      }
  
      // verify the required parameter 'dnsType' is set
      if (dnsType == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'dnsType' when calling dnsRawGet",
      new ApiException(400, "Missing the required parameter 'dnsType' when calling dnsRawGet"));
      }
  
      // verify the required parameter 'dnsName' is set
      if (dnsName == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'dnsName' when calling dnsRawGet",
      new ApiException(400, "Missing the required parameter 'dnsName' when calling dnsRawGet"));
      }
  
      // verify the required parameter 'dnsValue' is set
      if (dnsValue == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'dnsValue' when calling dnsRawGet",
      new ApiException(400, "Missing the required parameter 'dnsValue' when calling dnsRawGet"));
      }
  

  // create path and map variables
  String path = "/dns/raw".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "s_del", sDel));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "s_add", sAdd));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "dns_type", dnsType));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "dns_name", dnsName));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "dns_value", dnsValue));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (String) ApiInvoker.deserialize(localVarResponse, "", String.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Редактирование \&quot;сырой\&quot; зоны
   * 
   * @param token_ Ключ доступа, полученный при авторизации   * @param key_ ID домена из /dns/list   * @param sDel Значение &#39;1&#39; сообщает, что запись необходимо удалить   * @param sAdd Значение &#39;1&#39; сообщает, что запись необходимо создать   * @param dnsType Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV   * @param dnsName Имя записи, либо &#39;@&#39; для корневой   * @param dnsValue Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение)
  */
  public void dnsRawGet (String token_, Integer key_, Integer sDel, Integer sAdd, String dnsType, String dnsName, String dnsValue, final Response.Listener<String> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsRawGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling dnsRawGet"));
    }
    
    // verify the required parameter 'key_' is set
    if (key_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling dnsRawGet",
         new ApiException(400, "Missing the required parameter 'key_' when calling dnsRawGet"));
    }
    
    // verify the required parameter 'sDel' is set
    if (sDel == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'sDel' when calling dnsRawGet",
         new ApiException(400, "Missing the required parameter 'sDel' when calling dnsRawGet"));
    }
    
    // verify the required parameter 'sAdd' is set
    if (sAdd == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'sAdd' when calling dnsRawGet",
         new ApiException(400, "Missing the required parameter 'sAdd' when calling dnsRawGet"));
    }
    
    // verify the required parameter 'dnsType' is set
    if (dnsType == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'dnsType' when calling dnsRawGet",
         new ApiException(400, "Missing the required parameter 'dnsType' when calling dnsRawGet"));
    }
    
    // verify the required parameter 'dnsName' is set
    if (dnsName == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'dnsName' when calling dnsRawGet",
         new ApiException(400, "Missing the required parameter 'dnsName' when calling dnsRawGet"));
    }
    
    // verify the required parameter 'dnsValue' is set
    if (dnsValue == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'dnsValue' when calling dnsRawGet",
         new ApiException(400, "Missing the required parameter 'dnsValue' when calling dnsRawGet"));
    }
    

    // create path and map variables
    String path = "/dns/raw".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "s_del", sDel));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "s_add", sAdd));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "dns_type", dnsType));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "dns_name", dnsName));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "dns_value", dnsValue));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((String) ApiInvoker.deserialize(localVarResponse,  "", String.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Редактировать DNS-зону
  * 
   * @param token_ Ключ доступа, полученный при авторизации
   * @param key_ ID домена из /dns/list
   * @param managedMx Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить
   * @param updManagedMx Значение &#39;1&#39; подтверждает операцию
   * @return String
  */
  public String dnsRawManagedmxGet (String token_, Integer key_, Integer managedMx, Integer updManagedMx) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsRawManagedmxGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling dnsRawManagedmxGet"));
      }
  
      // verify the required parameter 'key_' is set
      if (key_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling dnsRawManagedmxGet",
      new ApiException(400, "Missing the required parameter 'key_' when calling dnsRawManagedmxGet"));
      }
  
      // verify the required parameter 'managedMx' is set
      if (managedMx == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'managedMx' when calling dnsRawManagedmxGet",
      new ApiException(400, "Missing the required parameter 'managedMx' when calling dnsRawManagedmxGet"));
      }
  
      // verify the required parameter 'updManagedMx' is set
      if (updManagedMx == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'updManagedMx' when calling dnsRawManagedmxGet",
      new ApiException(400, "Missing the required parameter 'updManagedMx' when calling dnsRawManagedmxGet"));
      }
  

  // create path and map variables
  String path = "/dns/raw/managedmx".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "managed_mx", managedMx));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "upd_managed_mx", updManagedMx));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (String) ApiInvoker.deserialize(localVarResponse, "", String.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Редактировать DNS-зону
   * 
   * @param token_ Ключ доступа, полученный при авторизации   * @param key_ ID домена из /dns/list   * @param managedMx Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить   * @param updManagedMx Значение &#39;1&#39; подтверждает операцию
  */
  public void dnsRawManagedmxGet (String token_, Integer key_, Integer managedMx, Integer updManagedMx, final Response.Listener<String> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling dnsRawManagedmxGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling dnsRawManagedmxGet"));
    }
    
    // verify the required parameter 'key_' is set
    if (key_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling dnsRawManagedmxGet",
         new ApiException(400, "Missing the required parameter 'key_' when calling dnsRawManagedmxGet"));
    }
    
    // verify the required parameter 'managedMx' is set
    if (managedMx == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'managedMx' when calling dnsRawManagedmxGet",
         new ApiException(400, "Missing the required parameter 'managedMx' when calling dnsRawManagedmxGet"));
    }
    
    // verify the required parameter 'updManagedMx' is set
    if (updManagedMx == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'updManagedMx' when calling dnsRawManagedmxGet",
         new ApiException(400, "Missing the required parameter 'updManagedMx' when calling dnsRawManagedmxGet"));
    }
    

    // create path and map variables
    String path = "/dns/raw/managedmx".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "managed_mx", managedMx));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "upd_managed_mx", updManagedMx));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((String) ApiInvoker.deserialize(localVarResponse,  "", String.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
}
