/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.client.api;

import io.swagger.client.ApiInvoker;
import io.swagger.client.ApiException;
import io.swagger.client.Pair;

import io.swagger.client.model.*;

import java.util.*;

import com.android.volley.Response;
import com.android.volley.VolleyError;

import io.swagger.client.model.InlineResponse20011;
import io.swagger.client.model.InlineResponse20012;
import io.swagger.client.model.InlineResponse20013;

import org.apache.http.HttpEntity;
import org.apache.http.entity.mime.MultipartEntityBuilder;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.TimeoutException;

public class VDSHyperVOpenVZApi {
  String basePath = "https://www.1gb.ru/api";
  ApiInvoker apiInvoker = ApiInvoker.getInstance();

  public void addHeader(String key, String value) {
    getInvoker().addDefaultHeader(key, value);
  }

  public ApiInvoker getInvoker() {
    return apiInvoker;
  }

  public void setBasePath(String basePath) {
    this.basePath = basePath;
  }

  public String getBasePath() {
    return basePath;
  }

  /**
  * Изменение параметров VDS
  * Изменение параметров уже существующего VDS
   * @param token_ Ключ доступа, полученный при авторизации
   * @param type Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39;
   * @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048
   * @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30
   * @param crHvcpu Количество ядер CPU. По умолчанию 2
   * @param template Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list
   * @param forceMemo 
   * @param hv1gbPanelVersion 
   * @param panelInstall Необходимо ли установить панель 1Gb на VDS
   * @param crSsd1 Создать всю систему на SSD
   * @param crHvAllSystem Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными)
   * @return String
  */
  public String vdsCreateGet (String token_, String type, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, String template, String forceMemo, String hv1gbPanelVersion, Boolean panelInstall, Boolean crSsd1, Boolean crHvAllSystem) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsCreateGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling vdsCreateGet"));
      }
  

  // create path and map variables
  String path = "/vds/create".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "type", type));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvmem", crHvmem));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvdsk", crHvdsk));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvcpu", crHvcpu));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "template", template));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "force_memo", forceMemo));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "hv_1gb_panel_version", hv1gbPanelVersion));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "panel_install", panelInstall));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_ssd1", crSsd1));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hv_all_system", crHvAllSystem));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (String) ApiInvoker.deserialize(localVarResponse, "", String.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Изменение параметров VDS
   * Изменение параметров уже существующего VDS
   * @param token_ Ключ доступа, полученный при авторизации   * @param type Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39;   * @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048   * @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30   * @param crHvcpu Количество ядер CPU. По умолчанию 2   * @param template Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list   * @param forceMemo    * @param hv1gbPanelVersion    * @param panelInstall Необходимо ли установить панель 1Gb на VDS   * @param crSsd1 Создать всю систему на SSD   * @param crHvAllSystem Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными)
  */
  public void vdsCreateGet (String token_, String type, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, String template, String forceMemo, String hv1gbPanelVersion, Boolean panelInstall, Boolean crSsd1, Boolean crHvAllSystem, final Response.Listener<String> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsCreateGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling vdsCreateGet"));
    }
    

    // create path and map variables
    String path = "/vds/create".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "type", type));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvmem", crHvmem));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvdsk", crHvdsk));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvcpu", crHvcpu));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "template", template));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "force_memo", forceMemo));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "hv_1gb_panel_version", hv1gbPanelVersion));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "panel_install", panelInstall));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_ssd1", crSsd1));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hv_all_system", crHvAllSystem));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((String) ApiInvoker.deserialize(localVarResponse,  "", String.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Удаление VDS
  * Предоставляет функционал для удаления VDS
   * @param token_ Ключ доступа, полученный при авторизации
   * @param key_ ID виртуального сервера, полученный из /vds/list
   * @param forceCritical Если true, VDS будет удален срочно
   * @return String
  */
  public String vdsDeleteGet (String token_, Integer key_, Boolean forceCritical) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsDeleteGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling vdsDeleteGet"));
      }
  
      // verify the required parameter 'key_' is set
      if (key_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling vdsDeleteGet",
      new ApiException(400, "Missing the required parameter 'key_' when calling vdsDeleteGet"));
      }
  

  // create path and map variables
  String path = "/vds/delete".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "force_critical", forceCritical));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (String) ApiInvoker.deserialize(localVarResponse, "", String.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Удаление VDS
   * Предоставляет функционал для удаления VDS
   * @param token_ Ключ доступа, полученный при авторизации   * @param key_ ID виртуального сервера, полученный из /vds/list   * @param forceCritical Если true, VDS будет удален срочно
  */
  public void vdsDeleteGet (String token_, Integer key_, Boolean forceCritical, final Response.Listener<String> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsDeleteGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling vdsDeleteGet"));
    }
    
    // verify the required parameter 'key_' is set
    if (key_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling vdsDeleteGet",
         new ApiException(400, "Missing the required parameter 'key_' when calling vdsDeleteGet"));
    }
    

    // create path and map variables
    String path = "/vds/delete".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "force_critical", forceCritical));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((String) ApiInvoker.deserialize(localVarResponse,  "", String.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Добавление IP на VDS
  * Этот вызов позволяет добавить ещё один IP адрес на указанный VDS
   * @param token_ Ключ доступа, полученный при авторизации
   * @param key_ ID виртуального сервера, полученный из /vds/list
   * @return String
  */
  public String vdsIpAddGet (String token_, Integer key_) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsIpAddGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling vdsIpAddGet"));
      }
  
      // verify the required parameter 'key_' is set
      if (key_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling vdsIpAddGet",
      new ApiException(400, "Missing the required parameter 'key_' when calling vdsIpAddGet"));
      }
  

  // create path and map variables
  String path = "/vds/ip/add".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (String) ApiInvoker.deserialize(localVarResponse, "", String.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Добавление IP на VDS
   * Этот вызов позволяет добавить ещё один IP адрес на указанный VDS
   * @param token_ Ключ доступа, полученный при авторизации   * @param key_ ID виртуального сервера, полученный из /vds/list
  */
  public void vdsIpAddGet (String token_, Integer key_, final Response.Listener<String> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsIpAddGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling vdsIpAddGet"));
    }
    
    // verify the required parameter 'key_' is set
    if (key_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling vdsIpAddGet",
         new ApiException(400, "Missing the required parameter 'key_' when calling vdsIpAddGet"));
    }
    

    // create path and map variables
    String path = "/vds/ip/add".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((String) ApiInvoker.deserialize(localVarResponse,  "", String.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Удаление IP с VDS
  * Этот вызов позволяет отвязать IP адрес от VDS
   * @param token_ Ключ доступа, полученный при авторизации
   * @param key_ ID виртуального сервера, полученный из /vds/list
   * @param delIp IP адрес, который необходимо удалить
   * @return String
  */
  public String vdsIpDeleteGet (String token_, Integer key_, String delIp) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsIpDeleteGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling vdsIpDeleteGet"));
      }
  
      // verify the required parameter 'key_' is set
      if (key_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling vdsIpDeleteGet",
      new ApiException(400, "Missing the required parameter 'key_' when calling vdsIpDeleteGet"));
      }
  
      // verify the required parameter 'delIp' is set
      if (delIp == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'delIp' when calling vdsIpDeleteGet",
      new ApiException(400, "Missing the required parameter 'delIp' when calling vdsIpDeleteGet"));
      }
  

  // create path and map variables
  String path = "/vds/ip/delete".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "del_ip", delIp));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (String) ApiInvoker.deserialize(localVarResponse, "", String.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Удаление IP с VDS
   * Этот вызов позволяет отвязать IP адрес от VDS
   * @param token_ Ключ доступа, полученный при авторизации   * @param key_ ID виртуального сервера, полученный из /vds/list   * @param delIp IP адрес, который необходимо удалить
  */
  public void vdsIpDeleteGet (String token_, Integer key_, String delIp, final Response.Listener<String> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsIpDeleteGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling vdsIpDeleteGet"));
    }
    
    // verify the required parameter 'key_' is set
    if (key_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling vdsIpDeleteGet",
         new ApiException(400, "Missing the required parameter 'key_' when calling vdsIpDeleteGet"));
    }
    
    // verify the required parameter 'delIp' is set
    if (delIp == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'delIp' when calling vdsIpDeleteGet",
         new ApiException(400, "Missing the required parameter 'delIp' when calling vdsIpDeleteGet"));
    }
    

    // create path and map variables
    String path = "/vds/ip/delete".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "del_ip", delIp));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((String) ApiInvoker.deserialize(localVarResponse,  "", String.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Список IP-адресов виртуальных серверов
  * Список IP-адресов виртуальных серверов
   * @param token_ Ключ доступа, полученный при авторизации
   * @param key_ ID виртуального сервера, полученный из /vds/list
   * @return List<InlineResponse20011>
  */
  public List<InlineResponse20011> vdsIpListGet (String token_, Integer key_) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsIpListGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling vdsIpListGet"));
      }
  

  // create path and map variables
  String path = "/vds/ip/list".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (List<InlineResponse20011>) ApiInvoker.deserialize(localVarResponse, "array", InlineResponse20011.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Список IP-адресов виртуальных серверов
   * Список IP-адресов виртуальных серверов
   * @param token_ Ключ доступа, полученный при авторизации   * @param key_ ID виртуального сервера, полученный из /vds/list
  */
  public void vdsIpListGet (String token_, Integer key_, final Response.Listener<List<InlineResponse20011>> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsIpListGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling vdsIpListGet"));
    }
    

    // create path and map variables
    String path = "/vds/ip/list".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((List<InlineResponse20011>) ApiInvoker.deserialize(localVarResponse,  "array", InlineResponse20011.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Список виртуальных серверов
  * Позволяет получить список виртуальных серверов
   * @param token_ Ключ доступа, полученный при авторизации
   * @param key_ ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS
   * @return List<InlineResponse20012>
  */
  public List<InlineResponse20012> vdsListGet (String token_, Integer key_) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsListGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling vdsListGet"));
      }
  

  // create path and map variables
  String path = "/vds/list".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (List<InlineResponse20012>) ApiInvoker.deserialize(localVarResponse, "array", InlineResponse20012.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Список виртуальных серверов
   * Позволяет получить список виртуальных серверов
   * @param token_ Ключ доступа, полученный при авторизации   * @param key_ ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS
  */
  public void vdsListGet (String token_, Integer key_, final Response.Listener<List<InlineResponse20012>> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsListGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling vdsListGet"));
    }
    

    // create path and map variables
    String path = "/vds/list".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((List<InlineResponse20012>) ApiInvoker.deserialize(localVarResponse,  "array", InlineResponse20012.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Перезагрузка VDS
  * Предоставляет функционал для перезагрузки VDS
   * @param token_ Ключ доступа, полученный при авторизации
   * @param key_ ID виртуального сервера, полученный из /vds/list
   * @return String
  */
  public String vdsRebootGet (String token_, Integer key_) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsRebootGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling vdsRebootGet"));
      }
  
      // verify the required parameter 'key_' is set
      if (key_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling vdsRebootGet",
      new ApiException(400, "Missing the required parameter 'key_' when calling vdsRebootGet"));
      }
  

  // create path and map variables
  String path = "/vds/reboot".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (String) ApiInvoker.deserialize(localVarResponse, "", String.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Перезагрузка VDS
   * Предоставляет функционал для перезагрузки VDS
   * @param token_ Ключ доступа, полученный при авторизации   * @param key_ ID виртуального сервера, полученный из /vds/list
  */
  public void vdsRebootGet (String token_, Integer key_, final Response.Listener<String> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsRebootGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling vdsRebootGet"));
    }
    
    // verify the required parameter 'key_' is set
    if (key_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling vdsRebootGet",
         new ApiException(400, "Missing the required parameter 'key_' when calling vdsRebootGet"));
    }
    

    // create path and map variables
    String path = "/vds/reboot".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((String) ApiInvoker.deserialize(localVarResponse,  "", String.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Список шаблонов виртуальных серверов
  * Позволяет получить список шаблонов виртуальных серверов
   * @param token_ Ключ доступа, полученный при авторизации
   * @return List<InlineResponse20013>
  */
  public List<InlineResponse20013> vdsTemplatesListGet (String token_) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsTemplatesListGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling vdsTemplatesListGet"));
      }
  

  // create path and map variables
  String path = "/vds/templates-list".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (List<InlineResponse20013>) ApiInvoker.deserialize(localVarResponse, "array", InlineResponse20013.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Список шаблонов виртуальных серверов
   * Позволяет получить список шаблонов виртуальных серверов
   * @param token_ Ключ доступа, полученный при авторизации
  */
  public void vdsTemplatesListGet (String token_, final Response.Listener<List<InlineResponse20013>> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsTemplatesListGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling vdsTemplatesListGet"));
    }
    

    // create path and map variables
    String path = "/vds/templates-list".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((List<InlineResponse20013>) ApiInvoker.deserialize(localVarResponse,  "array", InlineResponse20013.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
  /**
  * Создание VDS
  * Создание новых VDS с произвольными характеристиками
   * @param token_ Ключ доступа, полученный при авторизации
   * @param key_ ID виртуального сервера, полученный из /vds/list
   * @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048
   * @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30
   * @param crHvcpu Количество ядер CPU. По умолчанию 2
   * @return String
  */
  public String vdsUpdateGet (String token_, Integer key_, Integer crHvmem, Integer crHvdsk, Integer crHvcpu) throws TimeoutException, ExecutionException, InterruptedException, ApiException {
     Object postBody = null;
  
      // verify the required parameter 'token_' is set
      if (token_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsUpdateGet",
      new ApiException(400, "Missing the required parameter 'token_' when calling vdsUpdateGet"));
      }
  
      // verify the required parameter 'key_' is set
      if (key_ == null) {
      VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling vdsUpdateGet",
      new ApiException(400, "Missing the required parameter 'key_' when calling vdsUpdateGet"));
      }
  

  // create path and map variables
  String path = "/vds/update".replaceAll("\\{format\\}","json");

  // query params
  List<Pair> queryParams = new ArrayList<Pair>();
      // header params
      Map<String, String> headerParams = new HashMap<String, String>();
      // form params
      Map<String, String> formParams = new HashMap<String, String>();

          queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvmem", crHvmem));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvdsk", crHvdsk));
          queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvcpu", crHvcpu));


      String[] contentTypes = {
  "application/json"
      };
      String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

      if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
  

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
      } else {
      // normal form params
        }

      String[] authNames = new String[] {  };

      try {
        String localVarResponse = apiInvoker.invokeAPI (basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames);
        if(localVarResponse != null){
           return (String) ApiInvoker.deserialize(localVarResponse, "", String.class);
        } else {
           return null;
        }
      } catch (ApiException ex) {
         throw ex;
      } catch (InterruptedException ex) {
         throw ex;
      } catch (ExecutionException ex) {
         if(ex.getCause() instanceof VolleyError) {
	    VolleyError volleyError = (VolleyError)ex.getCause();
	    if (volleyError.networkResponse != null) {
	       throw new ApiException(volleyError.networkResponse.statusCode, volleyError.getMessage());
	    }
         }
         throw ex;
      } catch (TimeoutException ex) {
         throw ex;
      }
  }

      /**
   * Создание VDS
   * Создание новых VDS с произвольными характеристиками
   * @param token_ Ключ доступа, полученный при авторизации   * @param key_ ID виртуального сервера, полученный из /vds/list   * @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048   * @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30   * @param crHvcpu Количество ядер CPU. По умолчанию 2
  */
  public void vdsUpdateGet (String token_, Integer key_, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, final Response.Listener<String> responseListener, final Response.ErrorListener errorListener) {
    Object postBody = null;

  
    // verify the required parameter 'token_' is set
    if (token_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'token_' when calling vdsUpdateGet",
         new ApiException(400, "Missing the required parameter 'token_' when calling vdsUpdateGet"));
    }
    
    // verify the required parameter 'key_' is set
    if (key_ == null) {
       VolleyError error = new VolleyError("Missing the required parameter 'key_' when calling vdsUpdateGet",
         new ApiException(400, "Missing the required parameter 'key_' when calling vdsUpdateGet"));
    }
    

    // create path and map variables
    String path = "/vds/update".replaceAll("\\{format\\}","json");

    // query params
    List<Pair> queryParams = new ArrayList<Pair>();
    // header params
    Map<String, String> headerParams = new HashMap<String, String>();
    // form params
    Map<String, String> formParams = new HashMap<String, String>();

    queryParams.addAll(ApiInvoker.parameterToPairs("", "_token_", token_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "_key_", key_));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvmem", crHvmem));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvdsk", crHvdsk));
    queryParams.addAll(ApiInvoker.parameterToPairs("", "cr_hvcpu", crHvcpu));


    String[] contentTypes = {
      "application/json"
    };
    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";

    if (contentType.startsWith("multipart/form-data")) {
      // file uploading
      MultipartEntityBuilder localVarBuilder = MultipartEntityBuilder.create();
      

      HttpEntity httpEntity = localVarBuilder.build();
      postBody = httpEntity;
    } else {
      // normal form params
          }

      String[] authNames = new String[] {  };

    try {
      apiInvoker.invokeAPI(basePath, path, "GET", queryParams, postBody, headerParams, formParams, contentType, authNames,
        new Response.Listener<String>() {
          @Override
          public void onResponse(String localVarResponse) {
            try {
              responseListener.onResponse((String) ApiInvoker.deserialize(localVarResponse,  "", String.class));
            } catch (ApiException exception) {
               errorListener.onErrorResponse(new VolleyError(exception));
            }
          }
      }, new Response.ErrorListener() {
          @Override
          public void onErrorResponse(VolleyError error) {
            errorListener.onErrorResponse(error);
          }
      });
    } catch (ApiException ex) {
      errorListener.onErrorResponse(new VolleyError(ex));
    }
  }
}
