/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.client.model;

import java.math.BigDecimal;

import io.swagger.annotations.*;
import com.google.gson.annotations.SerializedName;


@ApiModel(description = "")
public class InlineResponse2001  {
  
  @SerializedName("id")
  private Integer id = null;
  @SerializedName("description")
  private String description = null;
  @SerializedName("billing_group_id")
  private Integer billingGroupId = null;
  @SerializedName("blocked")
  private String blocked = null;
  @SerializedName("blocked_date")
  private String blockedDate = null;
  @SerializedName("blocked_reason")
  private String blockedReason = null;
  @SerializedName("credit_limit")
  private BigDecimal creditLimit = null;
  @SerializedName("plan_id")
  private Integer planId = null;
  @SerializedName("period_id")
  private Integer periodId = null;
  @SerializedName("contract_type")
  private Integer contractType = null;
  @SerializedName("client_id")
  private Integer clientId = null;
  @SerializedName("client_login")
  private String clientLogin = null;
  @SerializedName("contract_id")
  private String contractId = null;
  @SerializedName("name_rus")
  private String nameRus = null;
  @SerializedName("name_eng")
  private String nameEng = null;
  @SerializedName("email")
  private String email = null;
  @SerializedName("stat_sites")
  private Integer statSites = null;
  @SerializedName("stat_size_mb")
  private Integer statSizeMb = null;
  @SerializedName("stat_emails")
  private Integer statEmails = null;
  @SerializedName("stat_mysqls")
  private Integer statMysqls = null;
  @SerializedName("stat_tech")
  private Integer statTech = null;
  @SerializedName("stat_nicd")
  private Integer statNicd = null;
  @SerializedName("stat_access_dynamic")
  private Integer statAccessDynamic = null;
  @SerializedName("stat_access_static")
  private Integer statAccessStatic = null;
  @SerializedName("stat_access_traffic")
  private Integer statAccessTraffic = null;
  @SerializedName("stat_paid_total")
  private Integer statPaidTotal = null;
  @SerializedName("stat_vds_size")
  private Integer statVdsSize = null;
  @SerializedName("__plan_name")
  private String planName = null;
  @SerializedName("__period_months")
  private Integer periodMonths = null;
  @SerializedName("__period_price")
  private BigDecimal periodPrice = null;
  @SerializedName("__expires")
  private String expires = null;
  @SerializedName("external_currency_spelled_prefix")
  private String externalCurrencySpelledPrefix = null;
  @SerializedName("external_currency_spelled_suffix")
  private String externalCurrencySpelledSuffix = null;

  /**
   * Идентификатор аккаунта
   **/
  @ApiModelProperty(required = true, value = "Идентификатор аккаунта")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * Описание аккаунта
   **/
  @ApiModelProperty(required = true, value = "Описание аккаунта")
  public String getDescription() {
    return description;
  }
  public void setDescription(String description) {
    this.description = description;
  }

  /**
   * Идентификатор тарифной группы
   **/
  @ApiModelProperty(required = true, value = "Идентификатор тарифной группы")
  public Integer getBillingGroupId() {
    return billingGroupId;
  }
  public void setBillingGroupId(Integer billingGroupId) {
    this.billingGroupId = billingGroupId;
  }

  /**
   * Аккаунт заблокирован, если true
   **/
  @ApiModelProperty(required = true, value = "Аккаунт заблокирован, если true")
  public String getBlocked() {
    return blocked;
  }
  public void setBlocked(String blocked) {
    this.blocked = blocked;
  }

  /**
   * Дата блокировки
   **/
  @ApiModelProperty(value = "Дата блокировки")
  public String getBlockedDate() {
    return blockedDate;
  }
  public void setBlockedDate(String blockedDate) {
    this.blockedDate = blockedDate;
  }

  /**
   * Причина блокировки
   **/
  @ApiModelProperty(value = "Причина блокировки")
  public String getBlockedReason() {
    return blockedReason;
  }
  public void setBlockedReason(String blockedReason) {
    this.blockedReason = blockedReason;
  }

  /**
   * Ограничение суммы на работу в аванс
   **/
  @ApiModelProperty(required = true, value = "Ограничение суммы на работу в аванс")
  public BigDecimal getCreditLimit() {
    return creditLimit;
  }
  public void setCreditLimit(BigDecimal creditLimit) {
    this.creditLimit = creditLimit;
  }

  /**
   * Идентификатор тарифа
   **/
  @ApiModelProperty(required = true, value = "Идентификатор тарифа")
  public Integer getPlanId() {
    return planId;
  }
  public void setPlanId(Integer planId) {
    this.planId = planId;
  }

  /**
   * Идентификатор тарифа (периода)
   **/
  @ApiModelProperty(required = true, value = "Идентификатор тарифа (периода)")
  public Integer getPeriodId() {
    return periodId;
  }
  public void setPeriodId(Integer periodId) {
    this.periodId = periodId;
  }

  /**
   * Тип договора
   **/
  @ApiModelProperty(required = true, value = "Тип договора")
  public Integer getContractType() {
    return contractType;
  }
  public void setContractType(Integer contractType) {
    this.contractType = contractType;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getClientId() {
    return clientId;
  }
  public void setClientId(Integer clientId) {
    this.clientId = clientId;
  }

  /**
   * Логин клиента
   **/
  @ApiModelProperty(required = true, value = "Логин клиента")
  public String getClientLogin() {
    return clientLogin;
  }
  public void setClientLogin(String clientLogin) {
    this.clientLogin = clientLogin;
  }

  /**
   * Номер договора
   **/
  @ApiModelProperty(required = true, value = "Номер договора")
  public String getContractId() {
    return contractId;
  }
  public void setContractId(String contractId) {
    this.contractId = contractId;
  }

  /**
   * Имя клиента на русском
   **/
  @ApiModelProperty(required = true, value = "Имя клиента на русском")
  public String getNameRus() {
    return nameRus;
  }
  public void setNameRus(String nameRus) {
    this.nameRus = nameRus;
  }

  /**
   * Имя клиента на английском
   **/
  @ApiModelProperty(required = true, value = "Имя клиента на английском")
  public String getNameEng() {
    return nameEng;
  }
  public void setNameEng(String nameEng) {
    this.nameEng = nameEng;
  }

  /**
   * E-mail клиент
   **/
  @ApiModelProperty(required = true, value = "E-mail клиент")
  public String getEmail() {
    return email;
  }
  public void setEmail(String email) {
    this.email = email;
  }

  /**
   * Количество созданных сайтов
   **/
  @ApiModelProperty(required = true, value = "Количество созданных сайтов")
  public Integer getStatSites() {
    return statSites;
  }
  public void setStatSites(Integer statSites) {
    this.statSites = statSites;
  }

  /**
   * Используемое дисковое пространство
   **/
  @ApiModelProperty(required = true, value = "Используемое дисковое пространство")
  public Integer getStatSizeMb() {
    return statSizeMb;
  }
  public void setStatSizeMb(Integer statSizeMb) {
    this.statSizeMb = statSizeMb;
  }

  /**
   * Количество созданных почтовых ящиков
   **/
  @ApiModelProperty(required = true, value = "Количество созданных почтовых ящиков")
  public Integer getStatEmails() {
    return statEmails;
  }
  public void setStatEmails(Integer statEmails) {
    this.statEmails = statEmails;
  }

  /**
   * Количество баз данных MySQL
   **/
  @ApiModelProperty(required = true, value = "Количество баз данных MySQL")
  public Integer getStatMysqls() {
    return statMysqls;
  }
  public void setStatMysqls(Integer statMysqls) {
    this.statMysqls = statMysqls;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getStatTech() {
    return statTech;
  }
  public void setStatTech(Integer statTech) {
    this.statTech = statTech;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getStatNicd() {
    return statNicd;
  }
  public void setStatNicd(Integer statNicd) {
    this.statNicd = statNicd;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getStatAccessDynamic() {
    return statAccessDynamic;
  }
  public void setStatAccessDynamic(Integer statAccessDynamic) {
    this.statAccessDynamic = statAccessDynamic;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getStatAccessStatic() {
    return statAccessStatic;
  }
  public void setStatAccessStatic(Integer statAccessStatic) {
    this.statAccessStatic = statAccessStatic;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getStatAccessTraffic() {
    return statAccessTraffic;
  }
  public void setStatAccessTraffic(Integer statAccessTraffic) {
    this.statAccessTraffic = statAccessTraffic;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getStatPaidTotal() {
    return statPaidTotal;
  }
  public void setStatPaidTotal(Integer statPaidTotal) {
    this.statPaidTotal = statPaidTotal;
  }

  /**
   * Размер дисков VDS
   **/
  @ApiModelProperty(required = true, value = "Размер дисков VDS")
  public Integer getStatVdsSize() {
    return statVdsSize;
  }
  public void setStatVdsSize(Integer statVdsSize) {
    this.statVdsSize = statVdsSize;
  }

  /**
   * Название тарифного плана
   **/
  @ApiModelProperty(required = true, value = "Название тарифного плана")
  public String getPlanName() {
    return planName;
  }
  public void setPlanName(String planName) {
    this.planName = planName;
  }

  /**
   * Количество месяцев в оплаченном периоде
   **/
  @ApiModelProperty(required = true, value = "Количество месяцев в оплаченном периоде")
  public Integer getPeriodMonths() {
    return periodMonths;
  }
  public void setPeriodMonths(Integer periodMonths) {
    this.periodMonths = periodMonths;
  }

  /**
   * Стоимость оплаченного периода
   **/
  @ApiModelProperty(required = true, value = "Стоимость оплаченного периода")
  public BigDecimal getPeriodPrice() {
    return periodPrice;
  }
  public void setPeriodPrice(BigDecimal periodPrice) {
    this.periodPrice = periodPrice;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getExpires() {
    return expires;
  }
  public void setExpires(String expires) {
    this.expires = expires;
  }

  /**
   * Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')
   **/
  @ApiModelProperty(required = true, value = "Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')")
  public String getExternalCurrencySpelledPrefix() {
    return externalCurrencySpelledPrefix;
  }
  public void setExternalCurrencySpelledPrefix(String externalCurrencySpelledPrefix) {
    this.externalCurrencySpelledPrefix = externalCurrencySpelledPrefix;
  }

  /**
   * Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'
   **/
  @ApiModelProperty(required = true, value = "Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'")
  public String getExternalCurrencySpelledSuffix() {
    return externalCurrencySpelledSuffix;
  }
  public void setExternalCurrencySpelledSuffix(String externalCurrencySpelledSuffix) {
    this.externalCurrencySpelledSuffix = externalCurrencySpelledSuffix;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2001 inlineResponse2001 = (InlineResponse2001) o;
    return (id == null ? inlineResponse2001.id == null : id.equals(inlineResponse2001.id)) &&
        (description == null ? inlineResponse2001.description == null : description.equals(inlineResponse2001.description)) &&
        (billingGroupId == null ? inlineResponse2001.billingGroupId == null : billingGroupId.equals(inlineResponse2001.billingGroupId)) &&
        (blocked == null ? inlineResponse2001.blocked == null : blocked.equals(inlineResponse2001.blocked)) &&
        (blockedDate == null ? inlineResponse2001.blockedDate == null : blockedDate.equals(inlineResponse2001.blockedDate)) &&
        (blockedReason == null ? inlineResponse2001.blockedReason == null : blockedReason.equals(inlineResponse2001.blockedReason)) &&
        (creditLimit == null ? inlineResponse2001.creditLimit == null : creditLimit.equals(inlineResponse2001.creditLimit)) &&
        (planId == null ? inlineResponse2001.planId == null : planId.equals(inlineResponse2001.planId)) &&
        (periodId == null ? inlineResponse2001.periodId == null : periodId.equals(inlineResponse2001.periodId)) &&
        (contractType == null ? inlineResponse2001.contractType == null : contractType.equals(inlineResponse2001.contractType)) &&
        (clientId == null ? inlineResponse2001.clientId == null : clientId.equals(inlineResponse2001.clientId)) &&
        (clientLogin == null ? inlineResponse2001.clientLogin == null : clientLogin.equals(inlineResponse2001.clientLogin)) &&
        (contractId == null ? inlineResponse2001.contractId == null : contractId.equals(inlineResponse2001.contractId)) &&
        (nameRus == null ? inlineResponse2001.nameRus == null : nameRus.equals(inlineResponse2001.nameRus)) &&
        (nameEng == null ? inlineResponse2001.nameEng == null : nameEng.equals(inlineResponse2001.nameEng)) &&
        (email == null ? inlineResponse2001.email == null : email.equals(inlineResponse2001.email)) &&
        (statSites == null ? inlineResponse2001.statSites == null : statSites.equals(inlineResponse2001.statSites)) &&
        (statSizeMb == null ? inlineResponse2001.statSizeMb == null : statSizeMb.equals(inlineResponse2001.statSizeMb)) &&
        (statEmails == null ? inlineResponse2001.statEmails == null : statEmails.equals(inlineResponse2001.statEmails)) &&
        (statMysqls == null ? inlineResponse2001.statMysqls == null : statMysqls.equals(inlineResponse2001.statMysqls)) &&
        (statTech == null ? inlineResponse2001.statTech == null : statTech.equals(inlineResponse2001.statTech)) &&
        (statNicd == null ? inlineResponse2001.statNicd == null : statNicd.equals(inlineResponse2001.statNicd)) &&
        (statAccessDynamic == null ? inlineResponse2001.statAccessDynamic == null : statAccessDynamic.equals(inlineResponse2001.statAccessDynamic)) &&
        (statAccessStatic == null ? inlineResponse2001.statAccessStatic == null : statAccessStatic.equals(inlineResponse2001.statAccessStatic)) &&
        (statAccessTraffic == null ? inlineResponse2001.statAccessTraffic == null : statAccessTraffic.equals(inlineResponse2001.statAccessTraffic)) &&
        (statPaidTotal == null ? inlineResponse2001.statPaidTotal == null : statPaidTotal.equals(inlineResponse2001.statPaidTotal)) &&
        (statVdsSize == null ? inlineResponse2001.statVdsSize == null : statVdsSize.equals(inlineResponse2001.statVdsSize)) &&
        (planName == null ? inlineResponse2001.planName == null : planName.equals(inlineResponse2001.planName)) &&
        (periodMonths == null ? inlineResponse2001.periodMonths == null : periodMonths.equals(inlineResponse2001.periodMonths)) &&
        (periodPrice == null ? inlineResponse2001.periodPrice == null : periodPrice.equals(inlineResponse2001.periodPrice)) &&
        (expires == null ? inlineResponse2001.expires == null : expires.equals(inlineResponse2001.expires)) &&
        (externalCurrencySpelledPrefix == null ? inlineResponse2001.externalCurrencySpelledPrefix == null : externalCurrencySpelledPrefix.equals(inlineResponse2001.externalCurrencySpelledPrefix)) &&
        (externalCurrencySpelledSuffix == null ? inlineResponse2001.externalCurrencySpelledSuffix == null : externalCurrencySpelledSuffix.equals(inlineResponse2001.externalCurrencySpelledSuffix));
  }

  @Override
  public int hashCode() {
    int result = 17;
    result = 31 * result + (id == null ? 0: id.hashCode());
    result = 31 * result + (description == null ? 0: description.hashCode());
    result = 31 * result + (billingGroupId == null ? 0: billingGroupId.hashCode());
    result = 31 * result + (blocked == null ? 0: blocked.hashCode());
    result = 31 * result + (blockedDate == null ? 0: blockedDate.hashCode());
    result = 31 * result + (blockedReason == null ? 0: blockedReason.hashCode());
    result = 31 * result + (creditLimit == null ? 0: creditLimit.hashCode());
    result = 31 * result + (planId == null ? 0: planId.hashCode());
    result = 31 * result + (periodId == null ? 0: periodId.hashCode());
    result = 31 * result + (contractType == null ? 0: contractType.hashCode());
    result = 31 * result + (clientId == null ? 0: clientId.hashCode());
    result = 31 * result + (clientLogin == null ? 0: clientLogin.hashCode());
    result = 31 * result + (contractId == null ? 0: contractId.hashCode());
    result = 31 * result + (nameRus == null ? 0: nameRus.hashCode());
    result = 31 * result + (nameEng == null ? 0: nameEng.hashCode());
    result = 31 * result + (email == null ? 0: email.hashCode());
    result = 31 * result + (statSites == null ? 0: statSites.hashCode());
    result = 31 * result + (statSizeMb == null ? 0: statSizeMb.hashCode());
    result = 31 * result + (statEmails == null ? 0: statEmails.hashCode());
    result = 31 * result + (statMysqls == null ? 0: statMysqls.hashCode());
    result = 31 * result + (statTech == null ? 0: statTech.hashCode());
    result = 31 * result + (statNicd == null ? 0: statNicd.hashCode());
    result = 31 * result + (statAccessDynamic == null ? 0: statAccessDynamic.hashCode());
    result = 31 * result + (statAccessStatic == null ? 0: statAccessStatic.hashCode());
    result = 31 * result + (statAccessTraffic == null ? 0: statAccessTraffic.hashCode());
    result = 31 * result + (statPaidTotal == null ? 0: statPaidTotal.hashCode());
    result = 31 * result + (statVdsSize == null ? 0: statVdsSize.hashCode());
    result = 31 * result + (planName == null ? 0: planName.hashCode());
    result = 31 * result + (periodMonths == null ? 0: periodMonths.hashCode());
    result = 31 * result + (periodPrice == null ? 0: periodPrice.hashCode());
    result = 31 * result + (expires == null ? 0: expires.hashCode());
    result = 31 * result + (externalCurrencySpelledPrefix == null ? 0: externalCurrencySpelledPrefix.hashCode());
    result = 31 * result + (externalCurrencySpelledSuffix == null ? 0: externalCurrencySpelledSuffix.hashCode());
    return result;
  }

  @Override
  public String toString()  {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2001 {\n");
    
    sb.append("  id: ").append(id).append("\n");
    sb.append("  description: ").append(description).append("\n");
    sb.append("  billingGroupId: ").append(billingGroupId).append("\n");
    sb.append("  blocked: ").append(blocked).append("\n");
    sb.append("  blockedDate: ").append(blockedDate).append("\n");
    sb.append("  blockedReason: ").append(blockedReason).append("\n");
    sb.append("  creditLimit: ").append(creditLimit).append("\n");
    sb.append("  planId: ").append(planId).append("\n");
    sb.append("  periodId: ").append(periodId).append("\n");
    sb.append("  contractType: ").append(contractType).append("\n");
    sb.append("  clientId: ").append(clientId).append("\n");
    sb.append("  clientLogin: ").append(clientLogin).append("\n");
    sb.append("  contractId: ").append(contractId).append("\n");
    sb.append("  nameRus: ").append(nameRus).append("\n");
    sb.append("  nameEng: ").append(nameEng).append("\n");
    sb.append("  email: ").append(email).append("\n");
    sb.append("  statSites: ").append(statSites).append("\n");
    sb.append("  statSizeMb: ").append(statSizeMb).append("\n");
    sb.append("  statEmails: ").append(statEmails).append("\n");
    sb.append("  statMysqls: ").append(statMysqls).append("\n");
    sb.append("  statTech: ").append(statTech).append("\n");
    sb.append("  statNicd: ").append(statNicd).append("\n");
    sb.append("  statAccessDynamic: ").append(statAccessDynamic).append("\n");
    sb.append("  statAccessStatic: ").append(statAccessStatic).append("\n");
    sb.append("  statAccessTraffic: ").append(statAccessTraffic).append("\n");
    sb.append("  statPaidTotal: ").append(statPaidTotal).append("\n");
    sb.append("  statVdsSize: ").append(statVdsSize).append("\n");
    sb.append("  planName: ").append(planName).append("\n");
    sb.append("  periodMonths: ").append(periodMonths).append("\n");
    sb.append("  periodPrice: ").append(periodPrice).append("\n");
    sb.append("  expires: ").append(expires).append("\n");
    sb.append("  externalCurrencySpelledPrefix: ").append(externalCurrencySpelledPrefix).append("\n");
    sb.append("  externalCurrencySpelledSuffix: ").append(externalCurrencySpelledSuffix).append("\n");
    sb.append("}\n");
    return sb.toString();
  }
}
