/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.client.model;


import io.swagger.annotations.*;
import com.google.gson.annotations.SerializedName;


@ApiModel(description = "")
public class InlineResponse20012  {
  
  @SerializedName("id")
  private Integer id = null;
  @SerializedName("deleted")
  private Boolean deleted = null;
  @SerializedName("online")
  private Boolean online = null;
  @SerializedName("stopped")
  private Boolean stopped = null;
  @SerializedName("pwd")
  private String pwd = null;
  @SerializedName("template")
  private String template = null;
  @SerializedName("type_full")
  private String typeFull = null;
  @SerializedName("physical_mac")
  private String physicalMac = null;
  @SerializedName("type")
  private String type = null;

  /**
   * идентификатор VDS
   **/
  @ApiModelProperty(required = true, value = "идентификатор VDS")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * VDS удалён если true
   **/
  @ApiModelProperty(required = true, value = "VDS удалён если true")
  public Boolean getDeleted() {
    return deleted;
  }
  public void setDeleted(Boolean deleted) {
    this.deleted = deleted;
  }

  /**
   * VDS работает нормально если true
   **/
  @ApiModelProperty(required = true, value = "VDS работает нормально если true")
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }

  /**
   * VDS остановлен если true
   **/
  @ApiModelProperty(required = true, value = "VDS остановлен если true")
  public Boolean getStopped() {
    return stopped;
  }
  public void setStopped(Boolean stopped) {
    this.stopped = stopped;
  }

  /**
   * изначальный пароль администратора или root
   **/
  @ApiModelProperty(required = true, value = "изначальный пароль администратора или root")
  public String getPwd() {
    return pwd;
  }
  public void setPwd(String pwd) {
    this.pwd = pwd;
  }

  /**
   * шаблон, на основе которого был создан VDS
   **/
  @ApiModelProperty(required = true, value = "шаблон, на основе которого был создан VDS")
  public String getTemplate() {
    return template;
  }
  public void setTemplate(String template) {
    this.template = template;
  }

  /**
   * полное описание типа VDS
   **/
  @ApiModelProperty(required = true, value = "полное описание типа VDS")
  public String getTypeFull() {
    return typeFull;
  }
  public void setTypeFull(String typeFull) {
    this.typeFull = typeFull;
  }

  /**
   * MAC-адрес VDS
   **/
  @ApiModelProperty(required = true, value = "MAC-адрес VDS")
  public String getPhysicalMac() {
    return physicalMac;
  }
  public void setPhysicalMac(String physicalMac) {
    this.physicalMac = physicalMac;
  }

  /**
   * тип VDS
   **/
  @ApiModelProperty(required = true, value = "тип VDS")
  public String getType() {
    return type;
  }
  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse20012 inlineResponse20012 = (InlineResponse20012) o;
    return (id == null ? inlineResponse20012.id == null : id.equals(inlineResponse20012.id)) &&
        (deleted == null ? inlineResponse20012.deleted == null : deleted.equals(inlineResponse20012.deleted)) &&
        (online == null ? inlineResponse20012.online == null : online.equals(inlineResponse20012.online)) &&
        (stopped == null ? inlineResponse20012.stopped == null : stopped.equals(inlineResponse20012.stopped)) &&
        (pwd == null ? inlineResponse20012.pwd == null : pwd.equals(inlineResponse20012.pwd)) &&
        (template == null ? inlineResponse20012.template == null : template.equals(inlineResponse20012.template)) &&
        (typeFull == null ? inlineResponse20012.typeFull == null : typeFull.equals(inlineResponse20012.typeFull)) &&
        (physicalMac == null ? inlineResponse20012.physicalMac == null : physicalMac.equals(inlineResponse20012.physicalMac)) &&
        (type == null ? inlineResponse20012.type == null : type.equals(inlineResponse20012.type));
  }

  @Override
  public int hashCode() {
    int result = 17;
    result = 31 * result + (id == null ? 0: id.hashCode());
    result = 31 * result + (deleted == null ? 0: deleted.hashCode());
    result = 31 * result + (online == null ? 0: online.hashCode());
    result = 31 * result + (stopped == null ? 0: stopped.hashCode());
    result = 31 * result + (pwd == null ? 0: pwd.hashCode());
    result = 31 * result + (template == null ? 0: template.hashCode());
    result = 31 * result + (typeFull == null ? 0: typeFull.hashCode());
    result = 31 * result + (physicalMac == null ? 0: physicalMac.hashCode());
    result = 31 * result + (type == null ? 0: type.hashCode());
    return result;
  }

  @Override
  public String toString()  {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20012 {\n");
    
    sb.append("  id: ").append(id).append("\n");
    sb.append("  deleted: ").append(deleted).append("\n");
    sb.append("  online: ").append(online).append("\n");
    sb.append("  stopped: ").append(stopped).append("\n");
    sb.append("  pwd: ").append(pwd).append("\n");
    sb.append("  template: ").append(template).append("\n");
    sb.append("  typeFull: ").append(typeFull).append("\n");
    sb.append("  physicalMac: ").append(physicalMac).append("\n");
    sb.append("  type: ").append(type).append("\n");
    sb.append("}\n");
    return sb.toString();
  }
}
