/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.client.model;


import io.swagger.annotations.*;
import com.google.gson.annotations.SerializedName;


@ApiModel(description = "")
public class InlineResponse20014  {
  
  @SerializedName("id")
  private Integer id = null;
  @SerializedName("status")
  private String status = null;
  @SerializedName("unmovable")
  private String unmovable = null;
  @SerializedName("online")
  private String online = null;
  @SerializedName("deleted")
  private String deleted = null;
  @SerializedName("deleted_auto")
  private String deletedAuto = null;
  @SerializedName("deleted_dump")
  private String deletedDump = null;
  @SerializedName("user_id")
  private String userId = null;
  @SerializedName("ftp_id")
  private String ftpId = null;
  @SerializedName("dns_id")
  private String dnsId = null;
  @SerializedName("iis_id")
  private String iisId = null;
  @SerializedName("iis_binding")
  private String iisBinding = null;
  @SerializedName("iis_path")
  private String iisPath = null;
  @SerializedName("iis_comments")
  private String iisComments = null;
  @SerializedName("memo")
  private String memo = null;
  @SerializedName("date_reg")
  private String dateReg = null;
  @SerializedName("server")
  private String server = null;
  @SerializedName("server_bak")
  private String serverBak = null;
  @SerializedName("server_aux")
  private String serverAux = null;
  @SerializedName("server_transition")
  private String serverTransition = null;
  @SerializedName("server_transition_dtc")
  private String serverTransitionDtc = null;
  @SerializedName("block_transfer")
  private String blockTransfer = null;
  @SerializedName("server_changed_time")
  private String serverChangedTime = null;
  @SerializedName("size_amount")
  private String sizeAmount = null;
  @SerializedName("size_file_count")
  private String sizeFileCount = null;
  @SerializedName("size_file_count_limit")
  private String sizeFileCountLimit = null;
  @SerializedName("size_date")
  private String sizeDate = null;
  @SerializedName("size_priority_scan")
  private String sizePriorityScan = null;
  @SerializedName("copy_logs")
  private String copyLogs = null;
  @SerializedName("content_comments")
  private String contentComments = null;
  @SerializedName("content_comments_verbose")
  private String contentCommentsVerbose = null;
  @SerializedName("meta_save_count")
  private String metaSaveCount = null;
  @SerializedName("base_folder")
  private String baseFolder = null;
  @SerializedName("virtualhost_conf")
  private String virtualhostConf = null;
  @SerializedName("virtualhost_server")
  private String virtualhostServer = null;
  @SerializedName("virtualhost_server_conf")
  private String virtualhostServerConf = null;
  @SerializedName("live_day_count")
  private String liveDayCount = null;
  @SerializedName("scan_date")
  private String scanDate = null;
  @SerializedName("global_transfer_count")
  private String globalTransferCount = null;
  @SerializedName("net_limit_file")
  private String netLimitFile = null;
  @SerializedName("net_limit_deny_from_ip")
  private String netLimitDenyFromIp = null;
  @SerializedName("net_limit_deny_from_agent")
  private String netLimitDenyFromAgent = null;
  @SerializedName("apache_php_pooled")
  private String apachePhpPooled = null;
  @SerializedName("apache_php_pooled_ext")
  private String apachePhpPooledExt = null;
  @SerializedName("apache_php_pooled_ext_auto")
  private String apachePhpPooledExtAuto = null;
  @SerializedName("apache_php_pool1_only")
  private String apachePhpPool1Only = null;
  @SerializedName("apache_php_pool5_only")
  private String apachePhpPool5Only = null;
  @SerializedName("apache_ssi")
  private String apacheSsi = null;
  @SerializedName("bypass_security")
  private String bypassSecurity = null;
  @SerializedName("flag_generic_exec")
  private String flagGenericExec = null;
  @SerializedName("flag_no_www")
  private String flagNoWww = null;
  @SerializedName("base_folder_suffix")
  private String baseFolderSuffix = null;
  @SerializedName("feedback_speed")
  private String feedbackSpeed = null;
  @SerializedName("feedback_speed_dtc")
  private String feedbackSpeedDtc = null;
  @SerializedName("feedback_speed_feedback")
  private String feedbackSpeedFeedback = null;
  @SerializedName("unix_path_on_windows")
  private String unixPathOnWindows = null;
  @SerializedName("ftp_ipfilter")
  private String ftpIpfilter = null;
  @SerializedName("ssh_ipfilter")
  private String sshIpfilter = null;
  @SerializedName("l3d_auto")
  private String l3dAuto = null;
  @SerializedName("awstats_primary_domain")
  private String awstatsPrimaryDomain = null;
  @SerializedName("sharepoint_mode")
  private String sharepointMode = null;
  @SerializedName("sharepoint_mode_pending")
  private String sharepointModePending = null;
  @SerializedName("apache_generic_pool_port")
  private String apacheGenericPoolPort = null;
  @SerializedName("mongrel_environment")
  private String mongrelEnvironment = null;
  @SerializedName("flag_free")
  private String flagFree = null;
  @SerializedName("rtm_scan_date")
  private String rtmScanDate = null;
  @SerializedName("analyze_analog")
  private String analyzeAnalog = null;
  @SerializedName("cpu_details_enabled")
  private String cpuDetailsEnabled = null;
  @SerializedName("content_moderated_status")
  private String contentModeratedStatus = null;
  @SerializedName("content_moderated_date")
  private String contentModeratedDate = null;
  @SerializedName("http_frontend_ip")
  private String httpFrontendIp = null;
  @SerializedName("http_frontend_ip_transition")
  private String httpFrontendIpTransition = null;
  @SerializedName("cpu_limit_exceeded_date")
  private String cpuLimitExceededDate = null;
  @SerializedName("aufs_template")
  private String aufsTemplate = null;
  @SerializedName("options_autolimit")
  private String optionsAutolimit = null;
  @SerializedName("iis_creation_commands")
  private String iisCreationCommands = null;
  @SerializedName("iis_creation_commands_unix")
  private String iisCreationCommandsUnix = null;
  @SerializedName("thumb_date")
  private String thumbDate = null;
  @SerializedName("thumb_failed")
  private String thumbFailed = null;
  @SerializedName("backup_stat_date")
  private String backupStatDate = null;
  @SerializedName("backup_date")
  private String backupDate = null;
  @SerializedName("detected_packages")
  private String detectedPackages = null;
  @SerializedName("stat_site_power")
  private String statSitePower = null;
  @SerializedName("smtp_from")
  private String smtpFrom = null;
  @SerializedName("super_backup_date")
  private String superBackupDate = null;
  @SerializedName("backup_delta_stat_date")
  private String backupDeltaStatDate = null;
  @SerializedName("backup_delta_date")
  private String backupDeltaDate = null;
  @SerializedName("backup_delta_desc")
  private String backupDeltaDesc = null;
  @SerializedName("alt_docroot_server")
  private String altDocrootServer = null;
  @SerializedName("alt_docroot_path")
  private String altDocrootPath = null;
  @SerializedName("alt_docroot_status")
  private String altDocrootStatus = null;
  @SerializedName("alt_docroot_status_cnt")
  private String altDocrootStatusCnt = null;
  @SerializedName("alt_docroot_status_date")
  private String altDocrootStatusDate = null;
  @SerializedName("bind_dtc")
  private String bindDtc = null;
  @SerializedName("backup_special_mode")
  private String backupSpecialMode = null;
  @SerializedName("size_check_problem")
  private String sizeCheckProblem = null;
  @SerializedName("wpb_domain")
  private String wpbDomain = null;
  @SerializedName("wpb_uuid")
  private String wpbUuid = null;
  @SerializedName("wpb_status")
  private String wpbStatus = null;
  @SerializedName("admin_protection")
  private String adminProtection = null;
  @SerializedName("size_comments")
  private String sizeComments = null;
  @SerializedName("alt_docroot_ssd_req")
  private String altDocrootSsdReq = null;
  @SerializedName("mail_limit")
  private String mailLimit = null;
  @SerializedName("mail_accept")
  private String mailAccept = null;
  @SerializedName("mail_drop")
  private String mailDrop = null;
  @SerializedName("ftp_name")
  private String ftpName = null;
  @SerializedName("ftp_pwd")
  private String ftpPwd = null;

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getStatus() {
    return status;
  }
  public void setStatus(String status) {
    this.status = status;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getUnmovable() {
    return unmovable;
  }
  public void setUnmovable(String unmovable) {
    this.unmovable = unmovable;
  }

  /**
   * Включен (активен), если true.
   **/
  @ApiModelProperty(required = true, value = "Включен (активен), если true.")
  public String getOnline() {
    return online;
  }
  public void setOnline(String online) {
    this.online = online;
  }

  /**
   * Удален, если true. Данные могут сохраняться.
   **/
  @ApiModelProperty(required = true, value = "Удален, если true. Данные могут сохраняться.")
  public String getDeleted() {
    return deleted;
  }
  public void setDeleted(String deleted) {
    this.deleted = deleted;
  }

  /**
   * Удален, если true. Данные могут сохраняться.
   **/
  @ApiModelProperty(required = true, value = "Удален, если true. Данные могут сохраняться.")
  public String getDeletedAuto() {
    return deletedAuto;
  }
  public void setDeletedAuto(String deletedAuto) {
    this.deletedAuto = deletedAuto;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getDeletedDump() {
    return deletedDump;
  }
  public void setDeletedDump(String deletedDump) {
    this.deletedDump = deletedDump;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getUserId() {
    return userId;
  }
  public void setUserId(String userId) {
    this.userId = userId;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getFtpId() {
    return ftpId;
  }
  public void setFtpId(String ftpId) {
    this.ftpId = ftpId;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getDnsId() {
    return dnsId;
  }
  public void setDnsId(String dnsId) {
    this.dnsId = dnsId;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getIisId() {
    return iisId;
  }
  public void setIisId(String iisId) {
    this.iisId = iisId;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getIisBinding() {
    return iisBinding;
  }
  public void setIisBinding(String iisBinding) {
    this.iisBinding = iisBinding;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getIisPath() {
    return iisPath;
  }
  public void setIisPath(String iisPath) {
    this.iisPath = iisPath;
  }

  /**
   * Уникальное строковое имя сайта (ID).
   **/
  @ApiModelProperty(required = true, value = "Уникальное строковое имя сайта (ID).")
  public String getIisComments() {
    return iisComments;
  }
  public void setIisComments(String iisComments) {
    this.iisComments = iisComments;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getMemo() {
    return memo;
  }
  public void setMemo(String memo) {
    this.memo = memo;
  }

  /**
   * Дата создания.
   **/
  @ApiModelProperty(required = true, value = "Дата создания.")
  public String getDateReg() {
    return dateReg;
  }
  public void setDateReg(String dateReg) {
    this.dateReg = dateReg;
  }

  /**
   * Тип веб-сервера.
   **/
  @ApiModelProperty(required = true, value = "Тип веб-сервера.")
  public String getServer() {
    return server;
  }
  public void setServer(String server) {
    this.server = server;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getServerBak() {
    return serverBak;
  }
  public void setServerBak(String serverBak) {
    this.serverBak = serverBak;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getServerAux() {
    return serverAux;
  }
  public void setServerAux(String serverAux) {
    this.serverAux = serverAux;
  }

  /**
   * Тип сервера недавно изменялся, если true.
   **/
  @ApiModelProperty(required = true, value = "Тип сервера недавно изменялся, если true.")
  public String getServerTransition() {
    return serverTransition;
  }
  public void setServerTransition(String serverTransition) {
    this.serverTransition = serverTransition;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getServerTransitionDtc() {
    return serverTransitionDtc;
  }
  public void setServerTransitionDtc(String serverTransitionDtc) {
    this.serverTransitionDtc = serverTransitionDtc;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getBlockTransfer() {
    return blockTransfer;
  }
  public void setBlockTransfer(String blockTransfer) {
    this.blockTransfer = blockTransfer;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getServerChangedTime() {
    return serverChangedTime;
  }
  public void setServerChangedTime(String serverChangedTime) {
    this.serverChangedTime = serverChangedTime;
  }

  /**
   * Размер веб-сайта - объем (Кб).
   **/
  @ApiModelProperty(required = true, value = "Размер веб-сайта - объем (Кб).")
  public String getSizeAmount() {
    return sizeAmount;
  }
  public void setSizeAmount(String sizeAmount) {
    this.sizeAmount = sizeAmount;
  }

  /**
   * Размер веб-сайта - кол-во файлов.
   **/
  @ApiModelProperty(required = true, value = "Размер веб-сайта - кол-во файлов.")
  public String getSizeFileCount() {
    return sizeFileCount;
  }
  public void setSizeFileCount(String sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getSizeFileCountLimit() {
    return sizeFileCountLimit;
  }
  public void setSizeFileCountLimit(String sizeFileCountLimit) {
    this.sizeFileCountLimit = sizeFileCountLimit;
  }

  /**
   * Размер веб-сайта - дата замера.
   **/
  @ApiModelProperty(required = true, value = "Размер веб-сайта - дата замера.")
  public String getSizeDate() {
    return sizeDate;
  }
  public void setSizeDate(String sizeDate) {
    this.sizeDate = sizeDate;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getSizePriorityScan() {
    return sizePriorityScan;
  }
  public void setSizePriorityScan(String sizePriorityScan) {
    this.sizePriorityScan = sizePriorityScan;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getCopyLogs() {
    return copyLogs;
  }
  public void setCopyLogs(String copyLogs) {
    this.copyLogs = copyLogs;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getContentComments() {
    return contentComments;
  }
  public void setContentComments(String contentComments) {
    this.contentComments = contentComments;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getContentCommentsVerbose() {
    return contentCommentsVerbose;
  }
  public void setContentCommentsVerbose(String contentCommentsVerbose) {
    this.contentCommentsVerbose = contentCommentsVerbose;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getMetaSaveCount() {
    return metaSaveCount;
  }
  public void setMetaSaveCount(String metaSaveCount) {
    this.metaSaveCount = metaSaveCount;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getBaseFolder() {
    return baseFolder;
  }
  public void setBaseFolder(String baseFolder) {
    this.baseFolder = baseFolder;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getVirtualhostConf() {
    return virtualhostConf;
  }
  public void setVirtualhostConf(String virtualhostConf) {
    this.virtualhostConf = virtualhostConf;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getVirtualhostServer() {
    return virtualhostServer;
  }
  public void setVirtualhostServer(String virtualhostServer) {
    this.virtualhostServer = virtualhostServer;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getVirtualhostServerConf() {
    return virtualhostServerConf;
  }
  public void setVirtualhostServerConf(String virtualhostServerConf) {
    this.virtualhostServerConf = virtualhostServerConf;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getLiveDayCount() {
    return liveDayCount;
  }
  public void setLiveDayCount(String liveDayCount) {
    this.liveDayCount = liveDayCount;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getScanDate() {
    return scanDate;
  }
  public void setScanDate(String scanDate) {
    this.scanDate = scanDate;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getGlobalTransferCount() {
    return globalTransferCount;
  }
  public void setGlobalTransferCount(String globalTransferCount) {
    this.globalTransferCount = globalTransferCount;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getNetLimitFile() {
    return netLimitFile;
  }
  public void setNetLimitFile(String netLimitFile) {
    this.netLimitFile = netLimitFile;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getNetLimitDenyFromIp() {
    return netLimitDenyFromIp;
  }
  public void setNetLimitDenyFromIp(String netLimitDenyFromIp) {
    this.netLimitDenyFromIp = netLimitDenyFromIp;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getNetLimitDenyFromAgent() {
    return netLimitDenyFromAgent;
  }
  public void setNetLimitDenyFromAgent(String netLimitDenyFromAgent) {
    this.netLimitDenyFromAgent = netLimitDenyFromAgent;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getApachePhpPooled() {
    return apachePhpPooled;
  }
  public void setApachePhpPooled(String apachePhpPooled) {
    this.apachePhpPooled = apachePhpPooled;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getApachePhpPooledExt() {
    return apachePhpPooledExt;
  }
  public void setApachePhpPooledExt(String apachePhpPooledExt) {
    this.apachePhpPooledExt = apachePhpPooledExt;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getApachePhpPooledExtAuto() {
    return apachePhpPooledExtAuto;
  }
  public void setApachePhpPooledExtAuto(String apachePhpPooledExtAuto) {
    this.apachePhpPooledExtAuto = apachePhpPooledExtAuto;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getApachePhpPool1Only() {
    return apachePhpPool1Only;
  }
  public void setApachePhpPool1Only(String apachePhpPool1Only) {
    this.apachePhpPool1Only = apachePhpPool1Only;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getApachePhpPool5Only() {
    return apachePhpPool5Only;
  }
  public void setApachePhpPool5Only(String apachePhpPool5Only) {
    this.apachePhpPool5Only = apachePhpPool5Only;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getApacheSsi() {
    return apacheSsi;
  }
  public void setApacheSsi(String apacheSsi) {
    this.apacheSsi = apacheSsi;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getBypassSecurity() {
    return bypassSecurity;
  }
  public void setBypassSecurity(String bypassSecurity) {
    this.bypassSecurity = bypassSecurity;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getFlagGenericExec() {
    return flagGenericExec;
  }
  public void setFlagGenericExec(String flagGenericExec) {
    this.flagGenericExec = flagGenericExec;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getFlagNoWww() {
    return flagNoWww;
  }
  public void setFlagNoWww(String flagNoWww) {
    this.flagNoWww = flagNoWww;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getBaseFolderSuffix() {
    return baseFolderSuffix;
  }
  public void setBaseFolderSuffix(String baseFolderSuffix) {
    this.baseFolderSuffix = baseFolderSuffix;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getFeedbackSpeed() {
    return feedbackSpeed;
  }
  public void setFeedbackSpeed(String feedbackSpeed) {
    this.feedbackSpeed = feedbackSpeed;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getFeedbackSpeedDtc() {
    return feedbackSpeedDtc;
  }
  public void setFeedbackSpeedDtc(String feedbackSpeedDtc) {
    this.feedbackSpeedDtc = feedbackSpeedDtc;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getFeedbackSpeedFeedback() {
    return feedbackSpeedFeedback;
  }
  public void setFeedbackSpeedFeedback(String feedbackSpeedFeedback) {
    this.feedbackSpeedFeedback = feedbackSpeedFeedback;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getUnixPathOnWindows() {
    return unixPathOnWindows;
  }
  public void setUnixPathOnWindows(String unixPathOnWindows) {
    this.unixPathOnWindows = unixPathOnWindows;
  }

  /**
   * Ограничение по IP адресам - FTP доступ.
   **/
  @ApiModelProperty(required = true, value = "Ограничение по IP адресам - FTP доступ.")
  public String getFtpIpfilter() {
    return ftpIpfilter;
  }
  public void setFtpIpfilter(String ftpIpfilter) {
    this.ftpIpfilter = ftpIpfilter;
  }

  /**
   * Ограничение по IP адресам - SSH доступ.
   **/
  @ApiModelProperty(required = true, value = "Ограничение по IP адресам - SSH доступ.")
  public String getSshIpfilter() {
    return sshIpfilter;
  }
  public void setSshIpfilter(String sshIpfilter) {
    this.sshIpfilter = sshIpfilter;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getL3dAuto() {
    return l3dAuto;
  }
  public void setL3dAuto(String l3dAuto) {
    this.l3dAuto = l3dAuto;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAwstatsPrimaryDomain() {
    return awstatsPrimaryDomain;
  }
  public void setAwstatsPrimaryDomain(String awstatsPrimaryDomain) {
    this.awstatsPrimaryDomain = awstatsPrimaryDomain;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getSharepointMode() {
    return sharepointMode;
  }
  public void setSharepointMode(String sharepointMode) {
    this.sharepointMode = sharepointMode;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getSharepointModePending() {
    return sharepointModePending;
  }
  public void setSharepointModePending(String sharepointModePending) {
    this.sharepointModePending = sharepointModePending;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getApacheGenericPoolPort() {
    return apacheGenericPoolPort;
  }
  public void setApacheGenericPoolPort(String apacheGenericPoolPort) {
    this.apacheGenericPoolPort = apacheGenericPoolPort;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getMongrelEnvironment() {
    return mongrelEnvironment;
  }
  public void setMongrelEnvironment(String mongrelEnvironment) {
    this.mongrelEnvironment = mongrelEnvironment;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getFlagFree() {
    return flagFree;
  }
  public void setFlagFree(String flagFree) {
    this.flagFree = flagFree;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getRtmScanDate() {
    return rtmScanDate;
  }
  public void setRtmScanDate(String rtmScanDate) {
    this.rtmScanDate = rtmScanDate;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAnalyzeAnalog() {
    return analyzeAnalog;
  }
  public void setAnalyzeAnalog(String analyzeAnalog) {
    this.analyzeAnalog = analyzeAnalog;
  }

  /**
   * Включен режим предоставления детализации процессорной нагрузки.
   **/
  @ApiModelProperty(required = true, value = "Включен режим предоставления детализации процессорной нагрузки.")
  public String getCpuDetailsEnabled() {
    return cpuDetailsEnabled;
  }
  public void setCpuDetailsEnabled(String cpuDetailsEnabled) {
    this.cpuDetailsEnabled = cpuDetailsEnabled;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getContentModeratedStatus() {
    return contentModeratedStatus;
  }
  public void setContentModeratedStatus(String contentModeratedStatus) {
    this.contentModeratedStatus = contentModeratedStatus;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getContentModeratedDate() {
    return contentModeratedDate;
  }
  public void setContentModeratedDate(String contentModeratedDate) {
    this.contentModeratedDate = contentModeratedDate;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getHttpFrontendIp() {
    return httpFrontendIp;
  }
  public void setHttpFrontendIp(String httpFrontendIp) {
    this.httpFrontendIp = httpFrontendIp;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getHttpFrontendIpTransition() {
    return httpFrontendIpTransition;
  }
  public void setHttpFrontendIpTransition(String httpFrontendIpTransition) {
    this.httpFrontendIpTransition = httpFrontendIpTransition;
  }

  /**
   * Дата последнего превышения процессорной нагрузки.
   **/
  @ApiModelProperty(required = true, value = "Дата последнего превышения процессорной нагрузки.")
  public String getCpuLimitExceededDate() {
    return cpuLimitExceededDate;
  }
  public void setCpuLimitExceededDate(String cpuLimitExceededDate) {
    this.cpuLimitExceededDate = cpuLimitExceededDate;
  }

  /**
   * Признак сайта-конструктора.
   **/
  @ApiModelProperty(required = true, value = "Признак сайта-конструктора.")
  public String getAufsTemplate() {
    return aufsTemplate;
  }
  public void setAufsTemplate(String aufsTemplate) {
    this.aufsTemplate = aufsTemplate;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getOptionsAutolimit() {
    return optionsAutolimit;
  }
  public void setOptionsAutolimit(String optionsAutolimit) {
    this.optionsAutolimit = optionsAutolimit;
  }

  /**
   * Версия ASP.NET, если отлична от 2.0.
   **/
  @ApiModelProperty(required = true, value = "Версия ASP.NET, если отлична от 2.0.")
  public String getIisCreationCommands() {
    return iisCreationCommands;
  }
  public void setIisCreationCommands(String iisCreationCommands) {
    this.iisCreationCommands = iisCreationCommands;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getIisCreationCommandsUnix() {
    return iisCreationCommandsUnix;
  }
  public void setIisCreationCommandsUnix(String iisCreationCommandsUnix) {
    this.iisCreationCommandsUnix = iisCreationCommandsUnix;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getThumbDate() {
    return thumbDate;
  }
  public void setThumbDate(String thumbDate) {
    this.thumbDate = thumbDate;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getThumbFailed() {
    return thumbFailed;
  }
  public void setThumbFailed(String thumbFailed) {
    this.thumbFailed = thumbFailed;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getBackupStatDate() {
    return backupStatDate;
  }
  public void setBackupStatDate(String backupStatDate) {
    this.backupStatDate = backupStatDate;
  }

  /**
   * Дата пофайловой резервной копии.
   **/
  @ApiModelProperty(required = true, value = "Дата пофайловой резервной копии.")
  public String getBackupDate() {
    return backupDate;
  }
  public void setBackupDate(String backupDate) {
    this.backupDate = backupDate;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getDetectedPackages() {
    return detectedPackages;
  }
  public void setDetectedPackages(String detectedPackages) {
    this.detectedPackages = detectedPackages;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getStatSitePower() {
    return statSitePower;
  }
  public void setStatSitePower(String statSitePower) {
    this.statSitePower = statSitePower;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getSmtpFrom() {
    return smtpFrom;
  }
  public void setSmtpFrom(String smtpFrom) {
    this.smtpFrom = smtpFrom;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getSuperBackupDate() {
    return superBackupDate;
  }
  public void setSuperBackupDate(String superBackupDate) {
    this.superBackupDate = superBackupDate;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getBackupDeltaStatDate() {
    return backupDeltaStatDate;
  }
  public void setBackupDeltaStatDate(String backupDeltaStatDate) {
    this.backupDeltaStatDate = backupDeltaStatDate;
  }

  /**
   * Дата архивной резервной копии.
   **/
  @ApiModelProperty(required = true, value = "Дата архивной резервной копии.")
  public String getBackupDeltaDate() {
    return backupDeltaDate;
  }
  public void setBackupDeltaDate(String backupDeltaDate) {
    this.backupDeltaDate = backupDeltaDate;
  }

  /**
   * Содержимое архивной резервной копии.
   **/
  @ApiModelProperty(required = true, value = "Содержимое архивной резервной копии.")
  public String getBackupDeltaDesc() {
    return backupDeltaDesc;
  }
  public void setBackupDeltaDesc(String backupDeltaDesc) {
    this.backupDeltaDesc = backupDeltaDesc;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAltDocrootServer() {
    return altDocrootServer;
  }
  public void setAltDocrootServer(String altDocrootServer) {
    this.altDocrootServer = altDocrootServer;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAltDocrootPath() {
    return altDocrootPath;
  }
  public void setAltDocrootPath(String altDocrootPath) {
    this.altDocrootPath = altDocrootPath;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAltDocrootStatus() {
    return altDocrootStatus;
  }
  public void setAltDocrootStatus(String altDocrootStatus) {
    this.altDocrootStatus = altDocrootStatus;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAltDocrootStatusCnt() {
    return altDocrootStatusCnt;
  }
  public void setAltDocrootStatusCnt(String altDocrootStatusCnt) {
    this.altDocrootStatusCnt = altDocrootStatusCnt;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAltDocrootStatusDate() {
    return altDocrootStatusDate;
  }
  public void setAltDocrootStatusDate(String altDocrootStatusDate) {
    this.altDocrootStatusDate = altDocrootStatusDate;
  }

  /**
   * Последнее изменение привязок доменов для сайта.
   **/
  @ApiModelProperty(required = true, value = "Последнее изменение привязок доменов для сайта.")
  public String getBindDtc() {
    return bindDtc;
  }
  public void setBindDtc(String bindDtc) {
    this.bindDtc = bindDtc;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getBackupSpecialMode() {
    return backupSpecialMode;
  }
  public void setBackupSpecialMode(String backupSpecialMode) {
    this.backupSpecialMode = backupSpecialMode;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getSizeCheckProblem() {
    return sizeCheckProblem;
  }
  public void setSizeCheckProblem(String sizeCheckProblem) {
    this.sizeCheckProblem = sizeCheckProblem;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getWpbDomain() {
    return wpbDomain;
  }
  public void setWpbDomain(String wpbDomain) {
    this.wpbDomain = wpbDomain;
  }

  /**
   * Для сайта включен конструктор Parallels WPB.
   **/
  @ApiModelProperty(required = true, value = "Для сайта включен конструктор Parallels WPB.")
  public String getWpbUuid() {
    return wpbUuid;
  }
  public void setWpbUuid(String wpbUuid) {
    this.wpbUuid = wpbUuid;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getWpbStatus() {
    return wpbStatus;
  }
  public void setWpbStatus(String wpbStatus) {
    this.wpbStatus = wpbStatus;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAdminProtection() {
    return adminProtection;
  }
  public void setAdminProtection(String adminProtection) {
    this.adminProtection = adminProtection;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getSizeComments() {
    return sizeComments;
  }
  public void setSizeComments(String sizeComments) {
    this.sizeComments = sizeComments;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAltDocrootSsdReq() {
    return altDocrootSsdReq;
  }
  public void setAltDocrootSsdReq(String altDocrootSsdReq) {
    this.altDocrootSsdReq = altDocrootSsdReq;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getMailLimit() {
    return mailLimit;
  }
  public void setMailLimit(String mailLimit) {
    this.mailLimit = mailLimit;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getMailAccept() {
    return mailAccept;
  }
  public void setMailAccept(String mailAccept) {
    this.mailAccept = mailAccept;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getMailDrop() {
    return mailDrop;
  }
  public void setMailDrop(String mailDrop) {
    this.mailDrop = mailDrop;
  }

  /**
   * FTP/SSH/SCP/SFTP логин.
   **/
  @ApiModelProperty(required = true, value = "FTP/SSH/SCP/SFTP логин.")
  public String getFtpName() {
    return ftpName;
  }
  public void setFtpName(String ftpName) {
    this.ftpName = ftpName;
  }

  /**
   * FTP/SSH/SCP/SFTP пароль.
   **/
  @ApiModelProperty(required = true, value = "FTP/SSH/SCP/SFTP пароль.")
  public String getFtpPwd() {
    return ftpPwd;
  }
  public void setFtpPwd(String ftpPwd) {
    this.ftpPwd = ftpPwd;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse20014 inlineResponse20014 = (InlineResponse20014) o;
    return (id == null ? inlineResponse20014.id == null : id.equals(inlineResponse20014.id)) &&
        (status == null ? inlineResponse20014.status == null : status.equals(inlineResponse20014.status)) &&
        (unmovable == null ? inlineResponse20014.unmovable == null : unmovable.equals(inlineResponse20014.unmovable)) &&
        (online == null ? inlineResponse20014.online == null : online.equals(inlineResponse20014.online)) &&
        (deleted == null ? inlineResponse20014.deleted == null : deleted.equals(inlineResponse20014.deleted)) &&
        (deletedAuto == null ? inlineResponse20014.deletedAuto == null : deletedAuto.equals(inlineResponse20014.deletedAuto)) &&
        (deletedDump == null ? inlineResponse20014.deletedDump == null : deletedDump.equals(inlineResponse20014.deletedDump)) &&
        (userId == null ? inlineResponse20014.userId == null : userId.equals(inlineResponse20014.userId)) &&
        (ftpId == null ? inlineResponse20014.ftpId == null : ftpId.equals(inlineResponse20014.ftpId)) &&
        (dnsId == null ? inlineResponse20014.dnsId == null : dnsId.equals(inlineResponse20014.dnsId)) &&
        (iisId == null ? inlineResponse20014.iisId == null : iisId.equals(inlineResponse20014.iisId)) &&
        (iisBinding == null ? inlineResponse20014.iisBinding == null : iisBinding.equals(inlineResponse20014.iisBinding)) &&
        (iisPath == null ? inlineResponse20014.iisPath == null : iisPath.equals(inlineResponse20014.iisPath)) &&
        (iisComments == null ? inlineResponse20014.iisComments == null : iisComments.equals(inlineResponse20014.iisComments)) &&
        (memo == null ? inlineResponse20014.memo == null : memo.equals(inlineResponse20014.memo)) &&
        (dateReg == null ? inlineResponse20014.dateReg == null : dateReg.equals(inlineResponse20014.dateReg)) &&
        (server == null ? inlineResponse20014.server == null : server.equals(inlineResponse20014.server)) &&
        (serverBak == null ? inlineResponse20014.serverBak == null : serverBak.equals(inlineResponse20014.serverBak)) &&
        (serverAux == null ? inlineResponse20014.serverAux == null : serverAux.equals(inlineResponse20014.serverAux)) &&
        (serverTransition == null ? inlineResponse20014.serverTransition == null : serverTransition.equals(inlineResponse20014.serverTransition)) &&
        (serverTransitionDtc == null ? inlineResponse20014.serverTransitionDtc == null : serverTransitionDtc.equals(inlineResponse20014.serverTransitionDtc)) &&
        (blockTransfer == null ? inlineResponse20014.blockTransfer == null : blockTransfer.equals(inlineResponse20014.blockTransfer)) &&
        (serverChangedTime == null ? inlineResponse20014.serverChangedTime == null : serverChangedTime.equals(inlineResponse20014.serverChangedTime)) &&
        (sizeAmount == null ? inlineResponse20014.sizeAmount == null : sizeAmount.equals(inlineResponse20014.sizeAmount)) &&
        (sizeFileCount == null ? inlineResponse20014.sizeFileCount == null : sizeFileCount.equals(inlineResponse20014.sizeFileCount)) &&
        (sizeFileCountLimit == null ? inlineResponse20014.sizeFileCountLimit == null : sizeFileCountLimit.equals(inlineResponse20014.sizeFileCountLimit)) &&
        (sizeDate == null ? inlineResponse20014.sizeDate == null : sizeDate.equals(inlineResponse20014.sizeDate)) &&
        (sizePriorityScan == null ? inlineResponse20014.sizePriorityScan == null : sizePriorityScan.equals(inlineResponse20014.sizePriorityScan)) &&
        (copyLogs == null ? inlineResponse20014.copyLogs == null : copyLogs.equals(inlineResponse20014.copyLogs)) &&
        (contentComments == null ? inlineResponse20014.contentComments == null : contentComments.equals(inlineResponse20014.contentComments)) &&
        (contentCommentsVerbose == null ? inlineResponse20014.contentCommentsVerbose == null : contentCommentsVerbose.equals(inlineResponse20014.contentCommentsVerbose)) &&
        (metaSaveCount == null ? inlineResponse20014.metaSaveCount == null : metaSaveCount.equals(inlineResponse20014.metaSaveCount)) &&
        (baseFolder == null ? inlineResponse20014.baseFolder == null : baseFolder.equals(inlineResponse20014.baseFolder)) &&
        (virtualhostConf == null ? inlineResponse20014.virtualhostConf == null : virtualhostConf.equals(inlineResponse20014.virtualhostConf)) &&
        (virtualhostServer == null ? inlineResponse20014.virtualhostServer == null : virtualhostServer.equals(inlineResponse20014.virtualhostServer)) &&
        (virtualhostServerConf == null ? inlineResponse20014.virtualhostServerConf == null : virtualhostServerConf.equals(inlineResponse20014.virtualhostServerConf)) &&
        (liveDayCount == null ? inlineResponse20014.liveDayCount == null : liveDayCount.equals(inlineResponse20014.liveDayCount)) &&
        (scanDate == null ? inlineResponse20014.scanDate == null : scanDate.equals(inlineResponse20014.scanDate)) &&
        (globalTransferCount == null ? inlineResponse20014.globalTransferCount == null : globalTransferCount.equals(inlineResponse20014.globalTransferCount)) &&
        (netLimitFile == null ? inlineResponse20014.netLimitFile == null : netLimitFile.equals(inlineResponse20014.netLimitFile)) &&
        (netLimitDenyFromIp == null ? inlineResponse20014.netLimitDenyFromIp == null : netLimitDenyFromIp.equals(inlineResponse20014.netLimitDenyFromIp)) &&
        (netLimitDenyFromAgent == null ? inlineResponse20014.netLimitDenyFromAgent == null : netLimitDenyFromAgent.equals(inlineResponse20014.netLimitDenyFromAgent)) &&
        (apachePhpPooled == null ? inlineResponse20014.apachePhpPooled == null : apachePhpPooled.equals(inlineResponse20014.apachePhpPooled)) &&
        (apachePhpPooledExt == null ? inlineResponse20014.apachePhpPooledExt == null : apachePhpPooledExt.equals(inlineResponse20014.apachePhpPooledExt)) &&
        (apachePhpPooledExtAuto == null ? inlineResponse20014.apachePhpPooledExtAuto == null : apachePhpPooledExtAuto.equals(inlineResponse20014.apachePhpPooledExtAuto)) &&
        (apachePhpPool1Only == null ? inlineResponse20014.apachePhpPool1Only == null : apachePhpPool1Only.equals(inlineResponse20014.apachePhpPool1Only)) &&
        (apachePhpPool5Only == null ? inlineResponse20014.apachePhpPool5Only == null : apachePhpPool5Only.equals(inlineResponse20014.apachePhpPool5Only)) &&
        (apacheSsi == null ? inlineResponse20014.apacheSsi == null : apacheSsi.equals(inlineResponse20014.apacheSsi)) &&
        (bypassSecurity == null ? inlineResponse20014.bypassSecurity == null : bypassSecurity.equals(inlineResponse20014.bypassSecurity)) &&
        (flagGenericExec == null ? inlineResponse20014.flagGenericExec == null : flagGenericExec.equals(inlineResponse20014.flagGenericExec)) &&
        (flagNoWww == null ? inlineResponse20014.flagNoWww == null : flagNoWww.equals(inlineResponse20014.flagNoWww)) &&
        (baseFolderSuffix == null ? inlineResponse20014.baseFolderSuffix == null : baseFolderSuffix.equals(inlineResponse20014.baseFolderSuffix)) &&
        (feedbackSpeed == null ? inlineResponse20014.feedbackSpeed == null : feedbackSpeed.equals(inlineResponse20014.feedbackSpeed)) &&
        (feedbackSpeedDtc == null ? inlineResponse20014.feedbackSpeedDtc == null : feedbackSpeedDtc.equals(inlineResponse20014.feedbackSpeedDtc)) &&
        (feedbackSpeedFeedback == null ? inlineResponse20014.feedbackSpeedFeedback == null : feedbackSpeedFeedback.equals(inlineResponse20014.feedbackSpeedFeedback)) &&
        (unixPathOnWindows == null ? inlineResponse20014.unixPathOnWindows == null : unixPathOnWindows.equals(inlineResponse20014.unixPathOnWindows)) &&
        (ftpIpfilter == null ? inlineResponse20014.ftpIpfilter == null : ftpIpfilter.equals(inlineResponse20014.ftpIpfilter)) &&
        (sshIpfilter == null ? inlineResponse20014.sshIpfilter == null : sshIpfilter.equals(inlineResponse20014.sshIpfilter)) &&
        (l3dAuto == null ? inlineResponse20014.l3dAuto == null : l3dAuto.equals(inlineResponse20014.l3dAuto)) &&
        (awstatsPrimaryDomain == null ? inlineResponse20014.awstatsPrimaryDomain == null : awstatsPrimaryDomain.equals(inlineResponse20014.awstatsPrimaryDomain)) &&
        (sharepointMode == null ? inlineResponse20014.sharepointMode == null : sharepointMode.equals(inlineResponse20014.sharepointMode)) &&
        (sharepointModePending == null ? inlineResponse20014.sharepointModePending == null : sharepointModePending.equals(inlineResponse20014.sharepointModePending)) &&
        (apacheGenericPoolPort == null ? inlineResponse20014.apacheGenericPoolPort == null : apacheGenericPoolPort.equals(inlineResponse20014.apacheGenericPoolPort)) &&
        (mongrelEnvironment == null ? inlineResponse20014.mongrelEnvironment == null : mongrelEnvironment.equals(inlineResponse20014.mongrelEnvironment)) &&
        (flagFree == null ? inlineResponse20014.flagFree == null : flagFree.equals(inlineResponse20014.flagFree)) &&
        (rtmScanDate == null ? inlineResponse20014.rtmScanDate == null : rtmScanDate.equals(inlineResponse20014.rtmScanDate)) &&
        (analyzeAnalog == null ? inlineResponse20014.analyzeAnalog == null : analyzeAnalog.equals(inlineResponse20014.analyzeAnalog)) &&
        (cpuDetailsEnabled == null ? inlineResponse20014.cpuDetailsEnabled == null : cpuDetailsEnabled.equals(inlineResponse20014.cpuDetailsEnabled)) &&
        (contentModeratedStatus == null ? inlineResponse20014.contentModeratedStatus == null : contentModeratedStatus.equals(inlineResponse20014.contentModeratedStatus)) &&
        (contentModeratedDate == null ? inlineResponse20014.contentModeratedDate == null : contentModeratedDate.equals(inlineResponse20014.contentModeratedDate)) &&
        (httpFrontendIp == null ? inlineResponse20014.httpFrontendIp == null : httpFrontendIp.equals(inlineResponse20014.httpFrontendIp)) &&
        (httpFrontendIpTransition == null ? inlineResponse20014.httpFrontendIpTransition == null : httpFrontendIpTransition.equals(inlineResponse20014.httpFrontendIpTransition)) &&
        (cpuLimitExceededDate == null ? inlineResponse20014.cpuLimitExceededDate == null : cpuLimitExceededDate.equals(inlineResponse20014.cpuLimitExceededDate)) &&
        (aufsTemplate == null ? inlineResponse20014.aufsTemplate == null : aufsTemplate.equals(inlineResponse20014.aufsTemplate)) &&
        (optionsAutolimit == null ? inlineResponse20014.optionsAutolimit == null : optionsAutolimit.equals(inlineResponse20014.optionsAutolimit)) &&
        (iisCreationCommands == null ? inlineResponse20014.iisCreationCommands == null : iisCreationCommands.equals(inlineResponse20014.iisCreationCommands)) &&
        (iisCreationCommandsUnix == null ? inlineResponse20014.iisCreationCommandsUnix == null : iisCreationCommandsUnix.equals(inlineResponse20014.iisCreationCommandsUnix)) &&
        (thumbDate == null ? inlineResponse20014.thumbDate == null : thumbDate.equals(inlineResponse20014.thumbDate)) &&
        (thumbFailed == null ? inlineResponse20014.thumbFailed == null : thumbFailed.equals(inlineResponse20014.thumbFailed)) &&
        (backupStatDate == null ? inlineResponse20014.backupStatDate == null : backupStatDate.equals(inlineResponse20014.backupStatDate)) &&
        (backupDate == null ? inlineResponse20014.backupDate == null : backupDate.equals(inlineResponse20014.backupDate)) &&
        (detectedPackages == null ? inlineResponse20014.detectedPackages == null : detectedPackages.equals(inlineResponse20014.detectedPackages)) &&
        (statSitePower == null ? inlineResponse20014.statSitePower == null : statSitePower.equals(inlineResponse20014.statSitePower)) &&
        (smtpFrom == null ? inlineResponse20014.smtpFrom == null : smtpFrom.equals(inlineResponse20014.smtpFrom)) &&
        (superBackupDate == null ? inlineResponse20014.superBackupDate == null : superBackupDate.equals(inlineResponse20014.superBackupDate)) &&
        (backupDeltaStatDate == null ? inlineResponse20014.backupDeltaStatDate == null : backupDeltaStatDate.equals(inlineResponse20014.backupDeltaStatDate)) &&
        (backupDeltaDate == null ? inlineResponse20014.backupDeltaDate == null : backupDeltaDate.equals(inlineResponse20014.backupDeltaDate)) &&
        (backupDeltaDesc == null ? inlineResponse20014.backupDeltaDesc == null : backupDeltaDesc.equals(inlineResponse20014.backupDeltaDesc)) &&
        (altDocrootServer == null ? inlineResponse20014.altDocrootServer == null : altDocrootServer.equals(inlineResponse20014.altDocrootServer)) &&
        (altDocrootPath == null ? inlineResponse20014.altDocrootPath == null : altDocrootPath.equals(inlineResponse20014.altDocrootPath)) &&
        (altDocrootStatus == null ? inlineResponse20014.altDocrootStatus == null : altDocrootStatus.equals(inlineResponse20014.altDocrootStatus)) &&
        (altDocrootStatusCnt == null ? inlineResponse20014.altDocrootStatusCnt == null : altDocrootStatusCnt.equals(inlineResponse20014.altDocrootStatusCnt)) &&
        (altDocrootStatusDate == null ? inlineResponse20014.altDocrootStatusDate == null : altDocrootStatusDate.equals(inlineResponse20014.altDocrootStatusDate)) &&
        (bindDtc == null ? inlineResponse20014.bindDtc == null : bindDtc.equals(inlineResponse20014.bindDtc)) &&
        (backupSpecialMode == null ? inlineResponse20014.backupSpecialMode == null : backupSpecialMode.equals(inlineResponse20014.backupSpecialMode)) &&
        (sizeCheckProblem == null ? inlineResponse20014.sizeCheckProblem == null : sizeCheckProblem.equals(inlineResponse20014.sizeCheckProblem)) &&
        (wpbDomain == null ? inlineResponse20014.wpbDomain == null : wpbDomain.equals(inlineResponse20014.wpbDomain)) &&
        (wpbUuid == null ? inlineResponse20014.wpbUuid == null : wpbUuid.equals(inlineResponse20014.wpbUuid)) &&
        (wpbStatus == null ? inlineResponse20014.wpbStatus == null : wpbStatus.equals(inlineResponse20014.wpbStatus)) &&
        (adminProtection == null ? inlineResponse20014.adminProtection == null : adminProtection.equals(inlineResponse20014.adminProtection)) &&
        (sizeComments == null ? inlineResponse20014.sizeComments == null : sizeComments.equals(inlineResponse20014.sizeComments)) &&
        (altDocrootSsdReq == null ? inlineResponse20014.altDocrootSsdReq == null : altDocrootSsdReq.equals(inlineResponse20014.altDocrootSsdReq)) &&
        (mailLimit == null ? inlineResponse20014.mailLimit == null : mailLimit.equals(inlineResponse20014.mailLimit)) &&
        (mailAccept == null ? inlineResponse20014.mailAccept == null : mailAccept.equals(inlineResponse20014.mailAccept)) &&
        (mailDrop == null ? inlineResponse20014.mailDrop == null : mailDrop.equals(inlineResponse20014.mailDrop)) &&
        (ftpName == null ? inlineResponse20014.ftpName == null : ftpName.equals(inlineResponse20014.ftpName)) &&
        (ftpPwd == null ? inlineResponse20014.ftpPwd == null : ftpPwd.equals(inlineResponse20014.ftpPwd));
  }

  @Override
  public int hashCode() {
    int result = 17;
    result = 31 * result + (id == null ? 0: id.hashCode());
    result = 31 * result + (status == null ? 0: status.hashCode());
    result = 31 * result + (unmovable == null ? 0: unmovable.hashCode());
    result = 31 * result + (online == null ? 0: online.hashCode());
    result = 31 * result + (deleted == null ? 0: deleted.hashCode());
    result = 31 * result + (deletedAuto == null ? 0: deletedAuto.hashCode());
    result = 31 * result + (deletedDump == null ? 0: deletedDump.hashCode());
    result = 31 * result + (userId == null ? 0: userId.hashCode());
    result = 31 * result + (ftpId == null ? 0: ftpId.hashCode());
    result = 31 * result + (dnsId == null ? 0: dnsId.hashCode());
    result = 31 * result + (iisId == null ? 0: iisId.hashCode());
    result = 31 * result + (iisBinding == null ? 0: iisBinding.hashCode());
    result = 31 * result + (iisPath == null ? 0: iisPath.hashCode());
    result = 31 * result + (iisComments == null ? 0: iisComments.hashCode());
    result = 31 * result + (memo == null ? 0: memo.hashCode());
    result = 31 * result + (dateReg == null ? 0: dateReg.hashCode());
    result = 31 * result + (server == null ? 0: server.hashCode());
    result = 31 * result + (serverBak == null ? 0: serverBak.hashCode());
    result = 31 * result + (serverAux == null ? 0: serverAux.hashCode());
    result = 31 * result + (serverTransition == null ? 0: serverTransition.hashCode());
    result = 31 * result + (serverTransitionDtc == null ? 0: serverTransitionDtc.hashCode());
    result = 31 * result + (blockTransfer == null ? 0: blockTransfer.hashCode());
    result = 31 * result + (serverChangedTime == null ? 0: serverChangedTime.hashCode());
    result = 31 * result + (sizeAmount == null ? 0: sizeAmount.hashCode());
    result = 31 * result + (sizeFileCount == null ? 0: sizeFileCount.hashCode());
    result = 31 * result + (sizeFileCountLimit == null ? 0: sizeFileCountLimit.hashCode());
    result = 31 * result + (sizeDate == null ? 0: sizeDate.hashCode());
    result = 31 * result + (sizePriorityScan == null ? 0: sizePriorityScan.hashCode());
    result = 31 * result + (copyLogs == null ? 0: copyLogs.hashCode());
    result = 31 * result + (contentComments == null ? 0: contentComments.hashCode());
    result = 31 * result + (contentCommentsVerbose == null ? 0: contentCommentsVerbose.hashCode());
    result = 31 * result + (metaSaveCount == null ? 0: metaSaveCount.hashCode());
    result = 31 * result + (baseFolder == null ? 0: baseFolder.hashCode());
    result = 31 * result + (virtualhostConf == null ? 0: virtualhostConf.hashCode());
    result = 31 * result + (virtualhostServer == null ? 0: virtualhostServer.hashCode());
    result = 31 * result + (virtualhostServerConf == null ? 0: virtualhostServerConf.hashCode());
    result = 31 * result + (liveDayCount == null ? 0: liveDayCount.hashCode());
    result = 31 * result + (scanDate == null ? 0: scanDate.hashCode());
    result = 31 * result + (globalTransferCount == null ? 0: globalTransferCount.hashCode());
    result = 31 * result + (netLimitFile == null ? 0: netLimitFile.hashCode());
    result = 31 * result + (netLimitDenyFromIp == null ? 0: netLimitDenyFromIp.hashCode());
    result = 31 * result + (netLimitDenyFromAgent == null ? 0: netLimitDenyFromAgent.hashCode());
    result = 31 * result + (apachePhpPooled == null ? 0: apachePhpPooled.hashCode());
    result = 31 * result + (apachePhpPooledExt == null ? 0: apachePhpPooledExt.hashCode());
    result = 31 * result + (apachePhpPooledExtAuto == null ? 0: apachePhpPooledExtAuto.hashCode());
    result = 31 * result + (apachePhpPool1Only == null ? 0: apachePhpPool1Only.hashCode());
    result = 31 * result + (apachePhpPool5Only == null ? 0: apachePhpPool5Only.hashCode());
    result = 31 * result + (apacheSsi == null ? 0: apacheSsi.hashCode());
    result = 31 * result + (bypassSecurity == null ? 0: bypassSecurity.hashCode());
    result = 31 * result + (flagGenericExec == null ? 0: flagGenericExec.hashCode());
    result = 31 * result + (flagNoWww == null ? 0: flagNoWww.hashCode());
    result = 31 * result + (baseFolderSuffix == null ? 0: baseFolderSuffix.hashCode());
    result = 31 * result + (feedbackSpeed == null ? 0: feedbackSpeed.hashCode());
    result = 31 * result + (feedbackSpeedDtc == null ? 0: feedbackSpeedDtc.hashCode());
    result = 31 * result + (feedbackSpeedFeedback == null ? 0: feedbackSpeedFeedback.hashCode());
    result = 31 * result + (unixPathOnWindows == null ? 0: unixPathOnWindows.hashCode());
    result = 31 * result + (ftpIpfilter == null ? 0: ftpIpfilter.hashCode());
    result = 31 * result + (sshIpfilter == null ? 0: sshIpfilter.hashCode());
    result = 31 * result + (l3dAuto == null ? 0: l3dAuto.hashCode());
    result = 31 * result + (awstatsPrimaryDomain == null ? 0: awstatsPrimaryDomain.hashCode());
    result = 31 * result + (sharepointMode == null ? 0: sharepointMode.hashCode());
    result = 31 * result + (sharepointModePending == null ? 0: sharepointModePending.hashCode());
    result = 31 * result + (apacheGenericPoolPort == null ? 0: apacheGenericPoolPort.hashCode());
    result = 31 * result + (mongrelEnvironment == null ? 0: mongrelEnvironment.hashCode());
    result = 31 * result + (flagFree == null ? 0: flagFree.hashCode());
    result = 31 * result + (rtmScanDate == null ? 0: rtmScanDate.hashCode());
    result = 31 * result + (analyzeAnalog == null ? 0: analyzeAnalog.hashCode());
    result = 31 * result + (cpuDetailsEnabled == null ? 0: cpuDetailsEnabled.hashCode());
    result = 31 * result + (contentModeratedStatus == null ? 0: contentModeratedStatus.hashCode());
    result = 31 * result + (contentModeratedDate == null ? 0: contentModeratedDate.hashCode());
    result = 31 * result + (httpFrontendIp == null ? 0: httpFrontendIp.hashCode());
    result = 31 * result + (httpFrontendIpTransition == null ? 0: httpFrontendIpTransition.hashCode());
    result = 31 * result + (cpuLimitExceededDate == null ? 0: cpuLimitExceededDate.hashCode());
    result = 31 * result + (aufsTemplate == null ? 0: aufsTemplate.hashCode());
    result = 31 * result + (optionsAutolimit == null ? 0: optionsAutolimit.hashCode());
    result = 31 * result + (iisCreationCommands == null ? 0: iisCreationCommands.hashCode());
    result = 31 * result + (iisCreationCommandsUnix == null ? 0: iisCreationCommandsUnix.hashCode());
    result = 31 * result + (thumbDate == null ? 0: thumbDate.hashCode());
    result = 31 * result + (thumbFailed == null ? 0: thumbFailed.hashCode());
    result = 31 * result + (backupStatDate == null ? 0: backupStatDate.hashCode());
    result = 31 * result + (backupDate == null ? 0: backupDate.hashCode());
    result = 31 * result + (detectedPackages == null ? 0: detectedPackages.hashCode());
    result = 31 * result + (statSitePower == null ? 0: statSitePower.hashCode());
    result = 31 * result + (smtpFrom == null ? 0: smtpFrom.hashCode());
    result = 31 * result + (superBackupDate == null ? 0: superBackupDate.hashCode());
    result = 31 * result + (backupDeltaStatDate == null ? 0: backupDeltaStatDate.hashCode());
    result = 31 * result + (backupDeltaDate == null ? 0: backupDeltaDate.hashCode());
    result = 31 * result + (backupDeltaDesc == null ? 0: backupDeltaDesc.hashCode());
    result = 31 * result + (altDocrootServer == null ? 0: altDocrootServer.hashCode());
    result = 31 * result + (altDocrootPath == null ? 0: altDocrootPath.hashCode());
    result = 31 * result + (altDocrootStatus == null ? 0: altDocrootStatus.hashCode());
    result = 31 * result + (altDocrootStatusCnt == null ? 0: altDocrootStatusCnt.hashCode());
    result = 31 * result + (altDocrootStatusDate == null ? 0: altDocrootStatusDate.hashCode());
    result = 31 * result + (bindDtc == null ? 0: bindDtc.hashCode());
    result = 31 * result + (backupSpecialMode == null ? 0: backupSpecialMode.hashCode());
    result = 31 * result + (sizeCheckProblem == null ? 0: sizeCheckProblem.hashCode());
    result = 31 * result + (wpbDomain == null ? 0: wpbDomain.hashCode());
    result = 31 * result + (wpbUuid == null ? 0: wpbUuid.hashCode());
    result = 31 * result + (wpbStatus == null ? 0: wpbStatus.hashCode());
    result = 31 * result + (adminProtection == null ? 0: adminProtection.hashCode());
    result = 31 * result + (sizeComments == null ? 0: sizeComments.hashCode());
    result = 31 * result + (altDocrootSsdReq == null ? 0: altDocrootSsdReq.hashCode());
    result = 31 * result + (mailLimit == null ? 0: mailLimit.hashCode());
    result = 31 * result + (mailAccept == null ? 0: mailAccept.hashCode());
    result = 31 * result + (mailDrop == null ? 0: mailDrop.hashCode());
    result = 31 * result + (ftpName == null ? 0: ftpName.hashCode());
    result = 31 * result + (ftpPwd == null ? 0: ftpPwd.hashCode());
    return result;
  }

  @Override
  public String toString()  {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20014 {\n");
    
    sb.append("  id: ").append(id).append("\n");
    sb.append("  status: ").append(status).append("\n");
    sb.append("  unmovable: ").append(unmovable).append("\n");
    sb.append("  online: ").append(online).append("\n");
    sb.append("  deleted: ").append(deleted).append("\n");
    sb.append("  deletedAuto: ").append(deletedAuto).append("\n");
    sb.append("  deletedDump: ").append(deletedDump).append("\n");
    sb.append("  userId: ").append(userId).append("\n");
    sb.append("  ftpId: ").append(ftpId).append("\n");
    sb.append("  dnsId: ").append(dnsId).append("\n");
    sb.append("  iisId: ").append(iisId).append("\n");
    sb.append("  iisBinding: ").append(iisBinding).append("\n");
    sb.append("  iisPath: ").append(iisPath).append("\n");
    sb.append("  iisComments: ").append(iisComments).append("\n");
    sb.append("  memo: ").append(memo).append("\n");
    sb.append("  dateReg: ").append(dateReg).append("\n");
    sb.append("  server: ").append(server).append("\n");
    sb.append("  serverBak: ").append(serverBak).append("\n");
    sb.append("  serverAux: ").append(serverAux).append("\n");
    sb.append("  serverTransition: ").append(serverTransition).append("\n");
    sb.append("  serverTransitionDtc: ").append(serverTransitionDtc).append("\n");
    sb.append("  blockTransfer: ").append(blockTransfer).append("\n");
    sb.append("  serverChangedTime: ").append(serverChangedTime).append("\n");
    sb.append("  sizeAmount: ").append(sizeAmount).append("\n");
    sb.append("  sizeFileCount: ").append(sizeFileCount).append("\n");
    sb.append("  sizeFileCountLimit: ").append(sizeFileCountLimit).append("\n");
    sb.append("  sizeDate: ").append(sizeDate).append("\n");
    sb.append("  sizePriorityScan: ").append(sizePriorityScan).append("\n");
    sb.append("  copyLogs: ").append(copyLogs).append("\n");
    sb.append("  contentComments: ").append(contentComments).append("\n");
    sb.append("  contentCommentsVerbose: ").append(contentCommentsVerbose).append("\n");
    sb.append("  metaSaveCount: ").append(metaSaveCount).append("\n");
    sb.append("  baseFolder: ").append(baseFolder).append("\n");
    sb.append("  virtualhostConf: ").append(virtualhostConf).append("\n");
    sb.append("  virtualhostServer: ").append(virtualhostServer).append("\n");
    sb.append("  virtualhostServerConf: ").append(virtualhostServerConf).append("\n");
    sb.append("  liveDayCount: ").append(liveDayCount).append("\n");
    sb.append("  scanDate: ").append(scanDate).append("\n");
    sb.append("  globalTransferCount: ").append(globalTransferCount).append("\n");
    sb.append("  netLimitFile: ").append(netLimitFile).append("\n");
    sb.append("  netLimitDenyFromIp: ").append(netLimitDenyFromIp).append("\n");
    sb.append("  netLimitDenyFromAgent: ").append(netLimitDenyFromAgent).append("\n");
    sb.append("  apachePhpPooled: ").append(apachePhpPooled).append("\n");
    sb.append("  apachePhpPooledExt: ").append(apachePhpPooledExt).append("\n");
    sb.append("  apachePhpPooledExtAuto: ").append(apachePhpPooledExtAuto).append("\n");
    sb.append("  apachePhpPool1Only: ").append(apachePhpPool1Only).append("\n");
    sb.append("  apachePhpPool5Only: ").append(apachePhpPool5Only).append("\n");
    sb.append("  apacheSsi: ").append(apacheSsi).append("\n");
    sb.append("  bypassSecurity: ").append(bypassSecurity).append("\n");
    sb.append("  flagGenericExec: ").append(flagGenericExec).append("\n");
    sb.append("  flagNoWww: ").append(flagNoWww).append("\n");
    sb.append("  baseFolderSuffix: ").append(baseFolderSuffix).append("\n");
    sb.append("  feedbackSpeed: ").append(feedbackSpeed).append("\n");
    sb.append("  feedbackSpeedDtc: ").append(feedbackSpeedDtc).append("\n");
    sb.append("  feedbackSpeedFeedback: ").append(feedbackSpeedFeedback).append("\n");
    sb.append("  unixPathOnWindows: ").append(unixPathOnWindows).append("\n");
    sb.append("  ftpIpfilter: ").append(ftpIpfilter).append("\n");
    sb.append("  sshIpfilter: ").append(sshIpfilter).append("\n");
    sb.append("  l3dAuto: ").append(l3dAuto).append("\n");
    sb.append("  awstatsPrimaryDomain: ").append(awstatsPrimaryDomain).append("\n");
    sb.append("  sharepointMode: ").append(sharepointMode).append("\n");
    sb.append("  sharepointModePending: ").append(sharepointModePending).append("\n");
    sb.append("  apacheGenericPoolPort: ").append(apacheGenericPoolPort).append("\n");
    sb.append("  mongrelEnvironment: ").append(mongrelEnvironment).append("\n");
    sb.append("  flagFree: ").append(flagFree).append("\n");
    sb.append("  rtmScanDate: ").append(rtmScanDate).append("\n");
    sb.append("  analyzeAnalog: ").append(analyzeAnalog).append("\n");
    sb.append("  cpuDetailsEnabled: ").append(cpuDetailsEnabled).append("\n");
    sb.append("  contentModeratedStatus: ").append(contentModeratedStatus).append("\n");
    sb.append("  contentModeratedDate: ").append(contentModeratedDate).append("\n");
    sb.append("  httpFrontendIp: ").append(httpFrontendIp).append("\n");
    sb.append("  httpFrontendIpTransition: ").append(httpFrontendIpTransition).append("\n");
    sb.append("  cpuLimitExceededDate: ").append(cpuLimitExceededDate).append("\n");
    sb.append("  aufsTemplate: ").append(aufsTemplate).append("\n");
    sb.append("  optionsAutolimit: ").append(optionsAutolimit).append("\n");
    sb.append("  iisCreationCommands: ").append(iisCreationCommands).append("\n");
    sb.append("  iisCreationCommandsUnix: ").append(iisCreationCommandsUnix).append("\n");
    sb.append("  thumbDate: ").append(thumbDate).append("\n");
    sb.append("  thumbFailed: ").append(thumbFailed).append("\n");
    sb.append("  backupStatDate: ").append(backupStatDate).append("\n");
    sb.append("  backupDate: ").append(backupDate).append("\n");
    sb.append("  detectedPackages: ").append(detectedPackages).append("\n");
    sb.append("  statSitePower: ").append(statSitePower).append("\n");
    sb.append("  smtpFrom: ").append(smtpFrom).append("\n");
    sb.append("  superBackupDate: ").append(superBackupDate).append("\n");
    sb.append("  backupDeltaStatDate: ").append(backupDeltaStatDate).append("\n");
    sb.append("  backupDeltaDate: ").append(backupDeltaDate).append("\n");
    sb.append("  backupDeltaDesc: ").append(backupDeltaDesc).append("\n");
    sb.append("  altDocrootServer: ").append(altDocrootServer).append("\n");
    sb.append("  altDocrootPath: ").append(altDocrootPath).append("\n");
    sb.append("  altDocrootStatus: ").append(altDocrootStatus).append("\n");
    sb.append("  altDocrootStatusCnt: ").append(altDocrootStatusCnt).append("\n");
    sb.append("  altDocrootStatusDate: ").append(altDocrootStatusDate).append("\n");
    sb.append("  bindDtc: ").append(bindDtc).append("\n");
    sb.append("  backupSpecialMode: ").append(backupSpecialMode).append("\n");
    sb.append("  sizeCheckProblem: ").append(sizeCheckProblem).append("\n");
    sb.append("  wpbDomain: ").append(wpbDomain).append("\n");
    sb.append("  wpbUuid: ").append(wpbUuid).append("\n");
    sb.append("  wpbStatus: ").append(wpbStatus).append("\n");
    sb.append("  adminProtection: ").append(adminProtection).append("\n");
    sb.append("  sizeComments: ").append(sizeComments).append("\n");
    sb.append("  altDocrootSsdReq: ").append(altDocrootSsdReq).append("\n");
    sb.append("  mailLimit: ").append(mailLimit).append("\n");
    sb.append("  mailAccept: ").append(mailAccept).append("\n");
    sb.append("  mailDrop: ").append(mailDrop).append("\n");
    sb.append("  ftpName: ").append(ftpName).append("\n");
    sb.append("  ftpPwd: ").append(ftpPwd).append("\n");
    sb.append("}\n");
    return sb.toString();
  }
}
