/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.client.model;


import io.swagger.annotations.*;
import com.google.gson.annotations.SerializedName;


@ApiModel(description = "")
public class InlineResponse2003  {
  
  @SerializedName("id")
  private Integer id = null;
  @SerializedName("iis_id")
  private Integer iisId = null;
  @SerializedName("online")
  private Boolean online = null;
  @SerializedName("full_domain_name")
  private String fullDomainName = null;
  @SerializedName("full_domain_name_local")
  private String fullDomainNameLocal = null;
  @SerializedName("addr1")
  private String addr1 = null;
  @SerializedName("zone")
  private String zone = null;

  /**
   * идентификатор домена
   **/
  @ApiModelProperty(required = true, value = "идентификатор домена")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * идентификатор связанной записи IIS
   **/
  @ApiModelProperty(required = true, value = "идентификатор связанной записи IIS")
  public Integer getIisId() {
    return iisId;
  }
  public void setIisId(Integer iisId) {
    this.iisId = iisId;
  }

  /**
   * домен работает, если true
   **/
  @ApiModelProperty(required = true, value = "домен работает, если true")
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }

  /**
   * полное имя домена
   **/
  @ApiModelProperty(required = true, value = "полное имя домена")
  public String getFullDomainName() {
    return fullDomainName;
  }
  public void setFullDomainName(String fullDomainName) {
    this.fullDomainName = fullDomainName;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getFullDomainNameLocal() {
    return fullDomainNameLocal;
  }
  public void setFullDomainNameLocal(String fullDomainNameLocal) {
    this.fullDomainNameLocal = fullDomainNameLocal;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAddr1() {
    return addr1;
  }
  public void setAddr1(String addr1) {
    this.addr1 = addr1;
  }

  /**
   * зона домена
   **/
  @ApiModelProperty(required = true, value = "зона домена")
  public String getZone() {
    return zone;
  }
  public void setZone(String zone) {
    this.zone = zone;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2003 inlineResponse2003 = (InlineResponse2003) o;
    return (id == null ? inlineResponse2003.id == null : id.equals(inlineResponse2003.id)) &&
        (iisId == null ? inlineResponse2003.iisId == null : iisId.equals(inlineResponse2003.iisId)) &&
        (online == null ? inlineResponse2003.online == null : online.equals(inlineResponse2003.online)) &&
        (fullDomainName == null ? inlineResponse2003.fullDomainName == null : fullDomainName.equals(inlineResponse2003.fullDomainName)) &&
        (fullDomainNameLocal == null ? inlineResponse2003.fullDomainNameLocal == null : fullDomainNameLocal.equals(inlineResponse2003.fullDomainNameLocal)) &&
        (addr1 == null ? inlineResponse2003.addr1 == null : addr1.equals(inlineResponse2003.addr1)) &&
        (zone == null ? inlineResponse2003.zone == null : zone.equals(inlineResponse2003.zone));
  }

  @Override
  public int hashCode() {
    int result = 17;
    result = 31 * result + (id == null ? 0: id.hashCode());
    result = 31 * result + (iisId == null ? 0: iisId.hashCode());
    result = 31 * result + (online == null ? 0: online.hashCode());
    result = 31 * result + (fullDomainName == null ? 0: fullDomainName.hashCode());
    result = 31 * result + (fullDomainNameLocal == null ? 0: fullDomainNameLocal.hashCode());
    result = 31 * result + (addr1 == null ? 0: addr1.hashCode());
    result = 31 * result + (zone == null ? 0: zone.hashCode());
    return result;
  }

  @Override
  public String toString()  {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2003 {\n");
    
    sb.append("  id: ").append(id).append("\n");
    sb.append("  iisId: ").append(iisId).append("\n");
    sb.append("  online: ").append(online).append("\n");
    sb.append("  fullDomainName: ").append(fullDomainName).append("\n");
    sb.append("  fullDomainNameLocal: ").append(fullDomainNameLocal).append("\n");
    sb.append("  addr1: ").append(addr1).append("\n");
    sb.append("  zone: ").append(zone).append("\n");
    sb.append("}\n");
    return sb.toString();
  }
}
