/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.client.model;


import io.swagger.annotations.*;
import com.google.gson.annotations.SerializedName;


@ApiModel(description = "")
public class InlineResponse2004  {
  
  @SerializedName("date_updated")
  private String dateUpdated = null;
  @SerializedName("record_created")
  private String recordCreated = null;
  @SerializedName("subject_contract")
  private String subjectContract = null;
  @SerializedName("end_date")
  private String endDate = null;
  @SerializedName("payed_till")
  private String payedTill = null;
  @SerializedName("object_state")
  private String objectState = null;
  @SerializedName("domain_addr")
  private String domainAddr = null;
  @SerializedName("nservers")
  private String nservers = null;
  @SerializedName("expires_countdown")
  private Integer expiresCountdown = null;

  /**
   * Дата последнего обновления домена
   **/
  @ApiModelProperty(required = true, value = "Дата последнего обновления домена")
  public String getDateUpdated() {
    return dateUpdated;
  }
  public void setDateUpdated(String dateUpdated) {
    this.dateUpdated = dateUpdated;
  }

  /**
   * Дата создания записи
   **/
  @ApiModelProperty(required = true, value = "Дата создания записи")
  public String getRecordCreated() {
    return recordCreated;
  }
  public void setRecordCreated(String recordCreated) {
    this.recordCreated = recordCreated;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getSubjectContract() {
    return subjectContract;
  }
  public void setSubjectContract(String subjectContract) {
    this.subjectContract = subjectContract;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getEndDate() {
    return endDate;
  }
  public void setEndDate(String endDate) {
    this.endDate = endDate;
  }

  /**
   * Дата, до которой оплачен домен
   **/
  @ApiModelProperty(required = true, value = "Дата, до которой оплачен домен")
  public String getPayedTill() {
    return payedTill;
  }
  public void setPayedTill(String payedTill) {
    this.payedTill = payedTill;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getObjectState() {
    return objectState;
  }
  public void setObjectState(String objectState) {
    this.objectState = objectState;
  }

  /**
   * Имя домена
   **/
  @ApiModelProperty(required = true, value = "Имя домена")
  public String getDomainAddr() {
    return domainAddr;
  }
  public void setDomainAddr(String domainAddr) {
    this.domainAddr = domainAddr;
  }

  /**
   * Сервера имён домена
   **/
  @ApiModelProperty(required = true, value = "Сервера имён домена")
  public String getNservers() {
    return nservers;
  }
  public void setNservers(String nservers) {
    this.nservers = nservers;
  }

  /**
   * Количество дней до окончания срока действия домена
   **/
  @ApiModelProperty(required = true, value = "Количество дней до окончания срока действия домена")
  public Integer getExpiresCountdown() {
    return expiresCountdown;
  }
  public void setExpiresCountdown(Integer expiresCountdown) {
    this.expiresCountdown = expiresCountdown;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2004 inlineResponse2004 = (InlineResponse2004) o;
    return (dateUpdated == null ? inlineResponse2004.dateUpdated == null : dateUpdated.equals(inlineResponse2004.dateUpdated)) &&
        (recordCreated == null ? inlineResponse2004.recordCreated == null : recordCreated.equals(inlineResponse2004.recordCreated)) &&
        (subjectContract == null ? inlineResponse2004.subjectContract == null : subjectContract.equals(inlineResponse2004.subjectContract)) &&
        (endDate == null ? inlineResponse2004.endDate == null : endDate.equals(inlineResponse2004.endDate)) &&
        (payedTill == null ? inlineResponse2004.payedTill == null : payedTill.equals(inlineResponse2004.payedTill)) &&
        (objectState == null ? inlineResponse2004.objectState == null : objectState.equals(inlineResponse2004.objectState)) &&
        (domainAddr == null ? inlineResponse2004.domainAddr == null : domainAddr.equals(inlineResponse2004.domainAddr)) &&
        (nservers == null ? inlineResponse2004.nservers == null : nservers.equals(inlineResponse2004.nservers)) &&
        (expiresCountdown == null ? inlineResponse2004.expiresCountdown == null : expiresCountdown.equals(inlineResponse2004.expiresCountdown));
  }

  @Override
  public int hashCode() {
    int result = 17;
    result = 31 * result + (dateUpdated == null ? 0: dateUpdated.hashCode());
    result = 31 * result + (recordCreated == null ? 0: recordCreated.hashCode());
    result = 31 * result + (subjectContract == null ? 0: subjectContract.hashCode());
    result = 31 * result + (endDate == null ? 0: endDate.hashCode());
    result = 31 * result + (payedTill == null ? 0: payedTill.hashCode());
    result = 31 * result + (objectState == null ? 0: objectState.hashCode());
    result = 31 * result + (domainAddr == null ? 0: domainAddr.hashCode());
    result = 31 * result + (nservers == null ? 0: nservers.hashCode());
    result = 31 * result + (expiresCountdown == null ? 0: expiresCountdown.hashCode());
    return result;
  }

  @Override
  public String toString()  {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2004 {\n");
    
    sb.append("  dateUpdated: ").append(dateUpdated).append("\n");
    sb.append("  recordCreated: ").append(recordCreated).append("\n");
    sb.append("  subjectContract: ").append(subjectContract).append("\n");
    sb.append("  endDate: ").append(endDate).append("\n");
    sb.append("  payedTill: ").append(payedTill).append("\n");
    sb.append("  objectState: ").append(objectState).append("\n");
    sb.append("  domainAddr: ").append(domainAddr).append("\n");
    sb.append("  nservers: ").append(nservers).append("\n");
    sb.append("  expiresCountdown: ").append(expiresCountdown).append("\n");
    sb.append("}\n");
    return sb.toString();
  }
}
