/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.client.model;


import io.swagger.annotations.*;
import com.google.gson.annotations.SerializedName;


@ApiModel(description = "")
public class InlineResponse2006  {
  
  @SerializedName("id")
  private Integer id = null;
  @SerializedName("status")
  private Integer status = null;
  @SerializedName("online")
  private Boolean online = null;
  @SerializedName("mail")
  private String mail = null;
  @SerializedName("mercury_user")
  private String mercuryUser = null;
  @SerializedName("mercury_pwd")
  private String mercuryPwd = null;
  @SerializedName("size_amount")
  private Integer sizeAmount = null;
  @SerializedName("size_file_count")
  private Integer sizeFileCount = null;
  @SerializedName("archived_count")
  private Integer archivedCount = null;
  @SerializedName("server_pop3")
  private String serverPop3 = null;
  @SerializedName("server_smtp")
  private String serverSmtp = null;
  @SerializedName("server_webmail")
  private String serverWebmail = null;
  @SerializedName("server_imap")
  private String serverImap = null;
  @SerializedName("wm1")
  private String wm1 = null;
  @SerializedName("wm2")
  private String wm2 = null;

  /**
   * идентификатор ящика
   **/
  @ApiModelProperty(required = true, value = "идентификатор ящика")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getStatus() {
    return status;
  }
  public void setStatus(Integer status) {
    this.status = status;
  }

  /**
   * ящик работает, если true
   **/
  @ApiModelProperty(required = true, value = "ящик работает, если true")
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }

  /**
   * полный адрес ящика
   **/
  @ApiModelProperty(required = true, value = "полный адрес ящика")
  public String getMail() {
    return mail;
  }
  public void setMail(String mail) {
    this.mail = mail;
  }

  /**
   * имя пользователя для входа в Mercury
   **/
  @ApiModelProperty(required = true, value = "имя пользователя для входа в Mercury")
  public String getMercuryUser() {
    return mercuryUser;
  }
  public void setMercuryUser(String mercuryUser) {
    this.mercuryUser = mercuryUser;
  }

  /**
   * пароль для входа в Mercury
   **/
  @ApiModelProperty(required = true, value = "пароль для входа в Mercury")
  public String getMercuryPwd() {
    return mercuryPwd;
  }
  public void setMercuryPwd(String mercuryPwd) {
    this.mercuryPwd = mercuryPwd;
  }

  /**
   * текущий размер ящика
   **/
  @ApiModelProperty(required = true, value = "текущий размер ящика")
  public Integer getSizeAmount() {
    return sizeAmount;
  }
  public void setSizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
  }

  /**
   * количество файлов, занятых ящиком
   **/
  @ApiModelProperty(required = true, value = "количество файлов, занятых ящиком")
  public Integer getSizeFileCount() {
    return sizeFileCount;
  }
  public void setSizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getArchivedCount() {
    return archivedCount;
  }
  public void setArchivedCount(Integer archivedCount) {
    this.archivedCount = archivedCount;
  }

  /**
   * адрес сервера для доступа к ящику по POP3
   **/
  @ApiModelProperty(required = true, value = "адрес сервера для доступа к ящику по POP3")
  public String getServerPop3() {
    return serverPop3;
  }
  public void setServerPop3(String serverPop3) {
    this.serverPop3 = serverPop3;
  }

  /**
   * адрес сервера для доступа к ящику по SMTP
   **/
  @ApiModelProperty(required = true, value = "адрес сервера для доступа к ящику по SMTP")
  public String getServerSmtp() {
    return serverSmtp;
  }
  public void setServerSmtp(String serverSmtp) {
    this.serverSmtp = serverSmtp;
  }

  /**
   * адрес сервера Webmail для входа в ящик через браузер
   **/
  @ApiModelProperty(required = true, value = "адрес сервера Webmail для входа в ящик через браузер")
  public String getServerWebmail() {
    return serverWebmail;
  }
  public void setServerWebmail(String serverWebmail) {
    this.serverWebmail = serverWebmail;
  }

  /**
   * адрес сервера для доступа к ящику по IMAP
   **/
  @ApiModelProperty(required = true, value = "адрес сервера для доступа к ящику по IMAP")
  public String getServerImap() {
    return serverImap;
  }
  public void setServerImap(String serverImap) {
    this.serverImap = serverImap;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getWm1() {
    return wm1;
  }
  public void setWm1(String wm1) {
    this.wm1 = wm1;
  }

  /**
   * 
   **/
  @ApiModelProperty(required = true, value = "")
  public String getWm2() {
    return wm2;
  }
  public void setWm2(String wm2) {
    this.wm2 = wm2;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2006 inlineResponse2006 = (InlineResponse2006) o;
    return (id == null ? inlineResponse2006.id == null : id.equals(inlineResponse2006.id)) &&
        (status == null ? inlineResponse2006.status == null : status.equals(inlineResponse2006.status)) &&
        (online == null ? inlineResponse2006.online == null : online.equals(inlineResponse2006.online)) &&
        (mail == null ? inlineResponse2006.mail == null : mail.equals(inlineResponse2006.mail)) &&
        (mercuryUser == null ? inlineResponse2006.mercuryUser == null : mercuryUser.equals(inlineResponse2006.mercuryUser)) &&
        (mercuryPwd == null ? inlineResponse2006.mercuryPwd == null : mercuryPwd.equals(inlineResponse2006.mercuryPwd)) &&
        (sizeAmount == null ? inlineResponse2006.sizeAmount == null : sizeAmount.equals(inlineResponse2006.sizeAmount)) &&
        (sizeFileCount == null ? inlineResponse2006.sizeFileCount == null : sizeFileCount.equals(inlineResponse2006.sizeFileCount)) &&
        (archivedCount == null ? inlineResponse2006.archivedCount == null : archivedCount.equals(inlineResponse2006.archivedCount)) &&
        (serverPop3 == null ? inlineResponse2006.serverPop3 == null : serverPop3.equals(inlineResponse2006.serverPop3)) &&
        (serverSmtp == null ? inlineResponse2006.serverSmtp == null : serverSmtp.equals(inlineResponse2006.serverSmtp)) &&
        (serverWebmail == null ? inlineResponse2006.serverWebmail == null : serverWebmail.equals(inlineResponse2006.serverWebmail)) &&
        (serverImap == null ? inlineResponse2006.serverImap == null : serverImap.equals(inlineResponse2006.serverImap)) &&
        (wm1 == null ? inlineResponse2006.wm1 == null : wm1.equals(inlineResponse2006.wm1)) &&
        (wm2 == null ? inlineResponse2006.wm2 == null : wm2.equals(inlineResponse2006.wm2));
  }

  @Override
  public int hashCode() {
    int result = 17;
    result = 31 * result + (id == null ? 0: id.hashCode());
    result = 31 * result + (status == null ? 0: status.hashCode());
    result = 31 * result + (online == null ? 0: online.hashCode());
    result = 31 * result + (mail == null ? 0: mail.hashCode());
    result = 31 * result + (mercuryUser == null ? 0: mercuryUser.hashCode());
    result = 31 * result + (mercuryPwd == null ? 0: mercuryPwd.hashCode());
    result = 31 * result + (sizeAmount == null ? 0: sizeAmount.hashCode());
    result = 31 * result + (sizeFileCount == null ? 0: sizeFileCount.hashCode());
    result = 31 * result + (archivedCount == null ? 0: archivedCount.hashCode());
    result = 31 * result + (serverPop3 == null ? 0: serverPop3.hashCode());
    result = 31 * result + (serverSmtp == null ? 0: serverSmtp.hashCode());
    result = 31 * result + (serverWebmail == null ? 0: serverWebmail.hashCode());
    result = 31 * result + (serverImap == null ? 0: serverImap.hashCode());
    result = 31 * result + (wm1 == null ? 0: wm1.hashCode());
    result = 31 * result + (wm2 == null ? 0: wm2.hashCode());
    return result;
  }

  @Override
  public String toString()  {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2006 {\n");
    
    sb.append("  id: ").append(id).append("\n");
    sb.append("  status: ").append(status).append("\n");
    sb.append("  online: ").append(online).append("\n");
    sb.append("  mail: ").append(mail).append("\n");
    sb.append("  mercuryUser: ").append(mercuryUser).append("\n");
    sb.append("  mercuryPwd: ").append(mercuryPwd).append("\n");
    sb.append("  sizeAmount: ").append(sizeAmount).append("\n");
    sb.append("  sizeFileCount: ").append(sizeFileCount).append("\n");
    sb.append("  archivedCount: ").append(archivedCount).append("\n");
    sb.append("  serverPop3: ").append(serverPop3).append("\n");
    sb.append("  serverSmtp: ").append(serverSmtp).append("\n");
    sb.append("  serverWebmail: ").append(serverWebmail).append("\n");
    sb.append("  serverImap: ").append(serverImap).append("\n");
    sb.append("  wm1: ").append(wm1).append("\n");
    sb.append("  wm2: ").append(wm2).append("\n");
    sb.append("}\n");
    return sb.toString();
  }
}
