/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.swagger.client.model;


import io.swagger.annotations.*;
import com.google.gson.annotations.SerializedName;


@ApiModel(description = "")
public class InlineResponse2008  {
  
  @SerializedName("id")
  private Integer id = null;
  @SerializedName("online")
  private Boolean online = null;
  @SerializedName("ftp_id")
  private Integer ftpId = null;
  @SerializedName("dns_id")
  private Integer dnsId = null;
  @SerializedName("size_amount")
  private Integer sizeAmount = null;
  @SerializedName("size_file_count")
  private Integer sizeFileCount = null;
  @SerializedName("size_file_count_limit")
  private Integer sizeFileCountLimit = null;

  /**
   * идентификатор сайта
   **/
  @ApiModelProperty(required = true, value = "идентификатор сайта")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * сайт работает нормально если true
   **/
  @ApiModelProperty(required = true, value = "сайт работает нормально если true")
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }

  /**
   * идентификатор связанного аккаунта FTP
   **/
  @ApiModelProperty(required = true, value = "идентификатор связанного аккаунта FTP")
  public Integer getFtpId() {
    return ftpId;
  }
  public void setFtpId(Integer ftpId) {
    this.ftpId = ftpId;
  }

  /**
   * идентификатор связанной записи DNS
   **/
  @ApiModelProperty(required = true, value = "идентификатор связанной записи DNS")
  public Integer getDnsId() {
    return dnsId;
  }
  public void setDnsId(Integer dnsId) {
    this.dnsId = dnsId;
  }

  /**
   * размер занятого места
   **/
  @ApiModelProperty(required = true, value = "размер занятого места")
  public Integer getSizeAmount() {
    return sizeAmount;
  }
  public void setSizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
  }

  /**
   * количество файлов
   **/
  @ApiModelProperty(required = true, value = "количество файлов")
  public Integer getSizeFileCount() {
    return sizeFileCount;
  }
  public void setSizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }

  /**
   * ограничение на количество файлов
   **/
  @ApiModelProperty(required = true, value = "ограничение на количество файлов")
  public Integer getSizeFileCountLimit() {
    return sizeFileCountLimit;
  }
  public void setSizeFileCountLimit(Integer sizeFileCountLimit) {
    this.sizeFileCountLimit = sizeFileCountLimit;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2008 inlineResponse2008 = (InlineResponse2008) o;
    return (id == null ? inlineResponse2008.id == null : id.equals(inlineResponse2008.id)) &&
        (online == null ? inlineResponse2008.online == null : online.equals(inlineResponse2008.online)) &&
        (ftpId == null ? inlineResponse2008.ftpId == null : ftpId.equals(inlineResponse2008.ftpId)) &&
        (dnsId == null ? inlineResponse2008.dnsId == null : dnsId.equals(inlineResponse2008.dnsId)) &&
        (sizeAmount == null ? inlineResponse2008.sizeAmount == null : sizeAmount.equals(inlineResponse2008.sizeAmount)) &&
        (sizeFileCount == null ? inlineResponse2008.sizeFileCount == null : sizeFileCount.equals(inlineResponse2008.sizeFileCount)) &&
        (sizeFileCountLimit == null ? inlineResponse2008.sizeFileCountLimit == null : sizeFileCountLimit.equals(inlineResponse2008.sizeFileCountLimit));
  }

  @Override
  public int hashCode() {
    int result = 17;
    result = 31 * result + (id == null ? 0: id.hashCode());
    result = 31 * result + (online == null ? 0: online.hashCode());
    result = 31 * result + (ftpId == null ? 0: ftpId.hashCode());
    result = 31 * result + (dnsId == null ? 0: dnsId.hashCode());
    result = 31 * result + (sizeAmount == null ? 0: sizeAmount.hashCode());
    result = 31 * result + (sizeFileCount == null ? 0: sizeFileCount.hashCode());
    result = 31 * result + (sizeFileCountLimit == null ? 0: sizeFileCountLimit.hashCode());
    return result;
  }

  @Override
  public String toString()  {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2008 {\n");
    
    sb.append("  id: ").append(id).append("\n");
    sb.append("  online: ").append(online).append("\n");
    sb.append("  ftpId: ").append(ftpId).append("\n");
    sb.append("  dnsId: ").append(dnsId).append("\n");
    sb.append("  sizeAmount: ").append(sizeAmount).append("\n");
    sb.append("  sizeFileCount: ").append(sizeFileCount).append("\n");
    sb.append("  sizeFileCountLimit: ").append(sizeFileCountLimit).append("\n");
    sb.append("}\n");
    return sb.toString();
  }
}
